<?php
/**
 * Manage box content view
 *
 * @package wp-engage-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipeng-section-content" class="ipeng-tab-content">
  <div class="ipeng-tab-inner">

    <div class="ipeng-title-content ipeng-hide">
      <i class="ipeng-fa ipeng-fa-cogs"></i>
      <div class="ipeng-title-text">
        <h3><?php _e( 'Content', IPENG_SLUG ); ?></h3>
        <p><?php _e( 'Set the widget content', IPENG_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipeng-fields -->
    <div class="ipeng-fields">

      <?php
      /*
       * Title
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x ipeng-help-abs">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-title"><?php _e( 'Title', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = stripslashes( $this->setting->getSetting( 'widget_title' ) );
          ?>
          <input type="text" id="input-widget-title" class="ipeng-input ipeng-input-full" name="widget_title" value="<?php echo $title; ?>">

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide"><?php _e( 'The title of the widget.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

			<?php
      /*
       * Header Icon
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x ipeng-help-abs">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-header-icon"><?php _e( 'Header Icon', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $icon = stripslashes( $this->setting->getSetting( 'header_icon' ) );
          IPEng_Faicon::get_html_option( 'header_icon', $icon );
          ?>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide"><?php _e( 'The icon of the header.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

      <?php
      /*
       * Info
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x ipeng-help-abs">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-info"><?php _e( 'Main Info', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $info = stripslashes( $this->setting->getSetting( 'widget_info' ) );
          ?>
          <textarea id="input-widget-info" class="ipeng-input ipeng-input-full" name="widget_info" rows="6"><?php echo $info; ?></textarea>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide"><?php _e( 'The info of the widget.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

      <?php
      /*
       * Footer Info
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x ipeng-help-abs">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-footer-info"><?php _e( 'Footer Info', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $info = stripslashes( $this->setting->getSetting( 'widget_footer_info' ) );
          ?>
          <textarea id="input-widget-footer-info" class="ipeng-input ipeng-input-full" name="widget_footer_info" rows="6"><?php echo $info; ?></textarea>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide"><?php _e( 'The info of the widget footer.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

      <h4 class="ipeng-field-title mb0 py10">
        <?php _e( 'Question', IPENG_SLUG ); ?>
      </h4>

			<?php
      /*
       * Question
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x ipeng-help-abs">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-question"><?php _e( 'Question', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $question = stripslashes( $this->setting->getSetting( 'question' ) );
          ?>
          <textarea id="input-question" class="ipeng-input ipeng-input-full" name="question" rows="6"><?php echo $question; ?></textarea>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide"><?php _e( 'The content of the question.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

			<?php
      /*
       * Choices
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x ipeng-help-abs">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-choices"><?php _e( 'Choices', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

					<!-- start: .ipeng-field-choices -->
					<div class="ipeng-field-choices">
						<div class="ipeng-choices ipeng-choices-content">

							<?php
							if ( ! empty( $this->choices )) :
								foreach( $this->choices as $choice ) :
							?>
							<!-- start: .ipeng-choice-setting-item -->
							<div class="ipeng-choice-setting-item">
								<input type="hidden" name="choice_ids[]" value="<?php echo $choice->choi_id; ?>">

								<div class="ipeng-choice-header">
									<h4 class="ipeng-choice-title">
										<?php echo $choice->choi_title; ?>
									</h4>
									<span class="ipeng-choice-mover">
										<i class="ipeng-fa ipeng-fa-arrows"></i>
									</span>
									<button type="button" class="ipeng-choice-delete">
										<i class=" ipeng-fa ipeng-fa-times"></i>
									</button>
								</div>

								<!-- start: .ipeng-choice-fields -->
								<div class="ipeng-choice-fields">

									<!-- start: .ipeng-choice-field -->
									<div class="ipeng-choice-field ipeng-choice-icon-field ipeng-clear">

										<div class="ipeng-form-label">
						          <label><?php _e( 'Text', IPENG_SLUG ); ?></label>
						        </div>
						        <!-- start: .ipeng-field -->
						        <div class="ipeng-field">
											<input
												type="text"
												class="ipeng-input ipeng-input-full ipeng-input-choice"
												name="choices[]"
												value="<?php echo $choice->choi_title; ?>">
										</div>
										<!-- end: .ipeng-field -->

									</div>
									<!-- end: .ipeng-choice-field -->

									<!-- start: .ipeng-choice-field -->
									<div class="ipeng-choice-field ipeng-clear">

										<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
						          <label><?php _e( 'Color', IPENG_SLUG ); ?></label>
						        </div>
						        <!-- start: .ipeng-field -->
						        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
											<input
												type="text"
												class="ipeng-color-picker"
												id="input-header-background-color"
												name="choice_colors[]"
												value="<?php echo $choice->choi_color; ?>" />
										</div>
										<!-- end: .ipeng-field -->

									</div>
									<!-- end: .ipeng-choice-field -->

									<!-- start: .ipeng-choice-field -->
									<div class="ipeng-choice-field ipeng-choice-icon-field ipeng-clear">

										<div class="ipeng-form-label">
						          <label><?php _e( 'Icon', IPENG_SLUG ); ?></label>
						        </div>
						        <!-- start: .ipeng-field -->
						        <div class="ipeng-field">
											<?php
						          IPEng_Faicon::get_html_option( 'choice_icons[]', $choice->choi_icon );
						          ?>
										</div>
										<!-- end: .ipeng-field -->

									</div>
									<!-- end: .ipeng-choice-field -->

								</div>
								<!-- end: .ipeng-choice-fields -->

							</div>
							<!-- end: .ipeng-choice-setting-item -->

							<?php
								endforeach;
							endif;
							?>

							<!-- start: .ipeng-choice-setting-item -->
							<div class="ipeng-choice-setting-item">
								<input type="hidden" name="choice_ids[]" value="0">
								<div class="ipeng-choice-header">
									<h4 class="ipeng-choice-title">
										Untitled Choice
									</h4>
									<span class="ipeng-choice-mover">
										<i class="ipeng-fa ipeng-fa-arrows"></i>
									</span>
									<button type="button" class="ipeng-choice-delete">
										<i class=" ipeng-fa ipeng-fa-times"></i>
									</button>
								</div>

								<!-- start: .ipeng-choice-fields -->
								<div class="ipeng-choice-fields">

									<!-- start: .ipeng-choice-field -->
									<div class="ipeng-choice-field ipeng-choice-icon-field ipeng-clear">

										<div class="ipeng-form-label">
						          <label><?php _e( 'Text', IPENG_SLUG ); ?></label>
						        </div>
						        <!-- start: .ipeng-field -->
						        <div class="ipeng-field">
											<input
												type="text"
												class="ipeng-input ipeng-input-full ipeng-input-choice"
												name="choices[]"
												value="">
										</div>
										<!-- end: .ipeng-field -->

									</div>
									<!-- end: .ipeng-choice-field -->

									<!-- start: .ipeng-choice-field -->
									<div class="ipeng-choice-field ipeng-clear">

										<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
						          <label><?php _e( 'Color', IPENG_SLUG ); ?></label>
						        </div>
						        <!-- start: .ipeng-field -->
						        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
											<input
												type="text"
												class="ipeng-color-picker"
												id="input-header-background-color"
												name="choice_colors[]"
												value="#66666" />
										</div>
										<!-- end: .ipeng-field -->

									</div>
									<!-- end: .ipeng-choice-field -->

									<!-- start: .ipeng-choice-field -->
									<div class="ipeng-choice-field ipeng-choice-icon-field ipeng-clear">

										<div class="ipeng-form-label">
						          <label><?php _e( 'Icon', IPENG_SLUG ); ?></label>
						        </div>
						        <!-- start: .ipeng-field -->
						        <div class="ipeng-field">
											<?php
						          IPEng_Faicon::get_html_option( 'choice_icons[]', 'heart' );
						          ?>
										</div>
										<!-- end: .ipeng-field -->

									</div>
									<!-- end: .ipeng-choice-field -->

								</div>
								<!-- end: .ipeng-choice-fields -->

							</div>
							<!-- end: .ipeng-choice-setting-item -->

							<!-- start: ._input-temp -->
							<div class="ipeng-choice-setting-item _input-temp" style="display:none;">
								<input type="hidden" class="ipeng-value-choice-id" name="__choice_ids[]" value="0">
								<div class="ipeng-choice-header">
									<h4 class="ipeng-choice-title">
										Untitled Choice
									</h4>
									<span class="ipeng-choice-mover">
										<i class="ipeng-fa ipeng-fa-arrows"></i>
									</span>
									<button type="button" class="ipeng-choice-delete">
										<i class=" ipeng-fa ipeng-fa-times"></i>
									</button>
								</div>

								<!-- start: .ipeng-choice-fields -->
								<div class="ipeng-choice-fields">

									<!-- start: .ipeng-choice-field -->
									<div class="ipeng-choice-field ipeng-choice-icon-field ipeng-clear">

										<div class="ipeng-form-label">
						          <label><?php _e( 'Text', IPENG_SLUG ); ?></label>
						        </div>
						        <!-- start: .ipeng-field -->
						        <div class="ipeng-field">
											<input
												type="text"
												class="ipeng-input ipeng-input-full ipeng-input-choice"
												name="__choices[]"
												value="">
										</div>
										<!-- end: .ipeng-field -->

									</div>
									<!-- end: .ipeng-choice-field -->

									<!-- start: .ipeng-choice-field -->
									<div class="ipeng-choice-field ipeng-clear">

										<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
						          <label><?php _e( 'Color', IPENG_SLUG ); ?></label>
						        </div>
						        <!-- start: .ipeng-field -->
						        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
											<input
												type="text"
												class="ipeng-input-choice-color"
												name="__choice_colors[]"
												value="#666666" />
										</div>
										<!-- end: .ipeng-field -->

									</div>
									<!-- end: .ipeng-choice-field -->

									<!-- start: .ipeng-choice-field -->
									<div class="ipeng-choice-field ipeng-choice-icon-field ipeng-clear">

										<div class="ipeng-form-label">
						          <label><?php _e( 'Icon', IPENG_SLUG ); ?></label>
						        </div>
						        <!-- start: .ipeng-field -->
						        <div class="ipeng-field">
											<?php
						          IPEng_Faicon::get_html_option( '__choice_icons[]', 'heart' );
						          ?>
										</div>
										<!-- end: .ipeng-field -->

									</div>
									<!-- end: .ipeng-choice-field -->

								</div>
								<!-- end: .ipeng-choice-fields -->

							</div>
							<!-- end: ._input-temp -->

						</div>
						<!-- end: .ipeng-choices -->

						<!-- start: .ipeng-choice-add -->
						<div class="ipeng-choice-add">
							<button type="button" name="choice_add" class="ipeng-do-add-choice ipeng-btn ipeng-btn-success ipeng-btn-sm">
								<?php _e( 'Add Input', IPENG_SLUG ); ?>
							</button>
						</div>
						<!-- end: .ipeng-choice-add -->

					</div>
					<!-- end: .ipeng-field-choices -->

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide"><?php _e( 'Manage the choices.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

    </div>
    <!-- end: .ipeng-fields -->

  </div>
</div>
