<?php
/**
 * Manage box style view
 *
 * @package wp-engage-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipeng-section-design" class="ipeng-tab-content">
  <div class="ipeng-tab-inner">

    <div class="ipeng-title-content ipeng-hide">
      <i class="ipeng-fa ipeng-fa-paint-brush"></i>
      <div class="ipeng-title-text">
        <h3><?php _e( 'Design', IPENG_SLUG ); ?></h3>
        <p><?php _e( 'Set the style of the widget', IPENG_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipeng-fields -->
    <div class="ipeng-fields">

      <?php
      /*
       * Widget Width
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-width"><?php _e( 'Widget Width', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $width = $this->setting->getSetting( 'widget_width', 280 );
          ?>
          <div class="ipeng-input-group mr5">
              <input type="text" id="input-widget-width" class="ipeng-input ipeng-input-xs" name="widget_width" value="<?php echo $width; ?>">
              <div class="ipeng-input-addon">px</div>
          </div>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide">
              <?php _e( 'Width ( in pixel ) of the widget.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

      <?php
      /*
       * Style
			 */
			?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-box-style"><?php _e( 'Style', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $style   = $this->setting->getSetting( 'box_style' );
          $options = array(
              1 => __( 'Style #1', IPENG_SLUG ),
              2 => __( 'Style #2', IPENG_SLUG ),
              3 => __( 'Style #3', IPENG_SLUG )
          );
          ?>
          <select name="box_style" id="input-box-style">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $style ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide">
              <?php _e( 'Set the style of the box.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->



      <?php
      /*
       * Shadow
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-box-shadow"><?php _e( 'Box Shadow', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipeng-onoff">
              <?php
              $val  = $this->setting->getSetting( 'box_shadow', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipeng-btn-group">
                <button data-value="true" class="ipeng-btn-onoff<?php echo $clon; ?> ipeng-btn-on" type="button"><?php _e( 'On', IPENG_SLUG ); ?></button>
                <button data-value="false" class="ipeng-btn-onoff<?php echo $cloff; ?> ipeng-btn-off" type="button"><?php _e( 'Off', IPENG_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipeng-onoff-value" name="box_shadow" value="<?php echo $val; ?>" />
          </div>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide">
              <?php _e( 'Determines whether to add a shadow effect on the box.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

			<?php
			//Header
			$this->view( 'admin/widget/design/header' );
			//Content
			$this->view( 'admin/widget/design/content' );
			//Choice
			$this->view( 'admin/widget/design/choice' );
			//Footer
			$this->view( 'admin/widget/design/footer' );
			//Close button
			$this->view( 'admin/widget/design/close' );
			?>

    </div>
    <!-- end: .ipeng-fields -->

  </div>
</div>
