<?php
/**
 * Admin content effect view
 *
 * @package wp-engage-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipeng-section-effect" class="ipeng-tab-content">
  <div class="ipeng-tab-inner">

    <div class="ipeng-title-content ipeng-hide">
      <i class="ipeng-fa ipeng-fa-magic"></i>
      <div class="ipeng-title-text">
        <h3><?php _e( 'Effect', IPENG_SLUG ); ?></h3>
        <p><?php _e( 'Set the effect when the box to appear/hide.', IPENG_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipeng-fields -->
    <div class="ipeng-fields">

      <?php
      //Show Delay
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x">
        <div class="ipeng-form-label col-md-3 col-sm-12">
          <label for="input-show-delay"><?php _e( 'Show Delay', IPENG_SLUG ); ?></label>
        </div>
        <div class="ipeng-field col-md-9 col-sm-12">

          <?php
          $delay = $this->setting->getSetting( 'show_delay' );
          ?>
          <div class="ipeng-input-group mr5">
              <input type="text" id="input-delay" class="ipeng-input ipeng-input-xs" name="show_delay" value="<?php echo $delay; ?>">
              <div class="ipeng-input-addon">second</div>
          </div>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide">
              <?php _e( 'The delay time when the bar first appear.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipeng-field-row -->

      <?php
      //Show Effect
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x">
        <div class="ipeng-form-label col-md-3 col-sm-12">
          <label for="input-show-effect"><?php _e( 'Show Animation', IPENG_SLUG ); ?></label>
        </div>
        <div class="ipeng-field col-md-9 col-sm-12">

          <select name="show_effect" id="input-show-effect">
            <?php
            $current = $this->setting->getSetting( 'show_effect', 'none' );
            $effects = array(
              'none'      => __( 'None', IPENG_SLUG ),
              'linear'    => __( 'Linear', IPENG_SLUG ),
              'bounce'    => __( 'Bounce', IPENG_SLUG ),
              'back'      => __( 'Back', IPENG_SLUG ),
              'elastic'   => __( 'Elastic', IPENG_SLUG ),
              'expo'      => __( 'Expo', IPENG_SLUG )
            );
            foreach( $effects as $key => $label )
            {
              $sltd = '';
              if ( $current == $key ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide">
              <?php _e( 'The type of effect that is executed when the widget is displayed.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipeng-field-row -->

      <?php
      /*
       * Show effect speed
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-show-effect-speed"><?php _e( 'Show Animation Speed', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $speed = $this->setting->getSetting( 'show_effect_speed', 500 );
          ?>
          <div class="ipeng-input-group mr5">
              <input type="text" id="input-show-effect-speed" class="ipeng-input ipeng-input-xs" name="show_effect_speed" value="<?php echo $speed; ?>">
              <div class="ipeng-input-addon">second</div>
          </div>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide">
              <?php _e( 'The speed (in second) of effect that is executed when the widget is displayed.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

      <?php
      //Hide Effect
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x">
        <div class="ipeng-form-label col-md-3 col-sm-12">
          <label for="input-hide-effect"><?php _e( 'Hide Animation', IPENG_SLUG ); ?></label>
        </div>
        <div class="ipeng-field col-md-9 col-sm-12">

          <select name="hide_effect" id="input-hide-effect">
            <?php
            $current = $this->setting->getSetting( 'hide_effect', 'none' );
            $effects = array(
              'none'      => __( 'None', IPENG_SLUG ),
              'linear'    => __( 'Linear', IPENG_SLUG ),
              'bounce'    => __( 'Bounce', IPENG_SLUG ),
              'back'      => __( 'Back', IPENG_SLUG ),
              'elastic'   => __( 'Elastic', IPENG_SLUG ),
              'expo'      => __( 'Expo', IPENG_SLUG )
            );
            foreach( $effects as $key => $label )
            {
              $sltd = '';
              if ( $current == $key ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide">
              <?php _e( 'The type of effect that is executed when the widget is hidden.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipeng-field-row -->

      <?php
      /*
       * Hide effect speed
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-hide-effect-speed"><?php _e( 'Hide Animation Speed', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $speed = $this->setting->getSetting( 'hide_effect_speed', 500 );
          ?>
          <div class="ipeng-input-group mr5">
              <input type="text" id="input-hide-effect-speed" class="ipeng-input ipeng-input-xs" name="hide_effect_speed" value="<?php echo $speed; ?>">
              <div class="ipeng-input-addon">second</div>
          </div>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide">
              <?php _e( 'The speed (in second) of effect that is executed when the widget is hidden.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

      <?php
      //Show Audio
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x">
        <div class="ipeng-form-label col-md-3 col-sm-12">
          <label for="input-show-audio"><?php _e( 'Show Audio', IPENG_SLUG ); ?></label>
        </div>
        <div class="ipeng-field col-md-9 col-sm-12">

          <select id="input-show-audio" class="ipeng-input" name="show_audio">
            <option value="0"> <?php _e( 'No Audio', IPENG_SLUG );  ?> </option>
            <?php
            $audio   = absint( $this->setting->getSetting( 'content_audio', 0 ) );
            $options = range(1,5);
            foreach( $options as $key ) {
              $sltd = '';
              if ( $key == $audio ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $key . '"' . $sltd . '>Audio #' . $key . '</option>';
            }
            ?>
          </select>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide">
              <?php _e( 'The sound effect when the widget is displayed.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipeng-field-row -->

      <?php
      //Hide Audio
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x">
        <div class="ipeng-form-label col-md-3 col-sm-12">
          <label for="input-hide-audio"><?php _e( 'Hide Audio', IPENG_SLUG ); ?></label>
        </div>
        <div class="ipeng-field col-md-9 col-sm-12">

          <select id="input-hide-audio" class="ipeng-input" name="hide_audio">
            <option value="0"> <?php _e( 'No Audio', IPENG_SLUG );  ?> </option>
            <?php
            $audio   = absint( $this->setting->getSetting( 'hide_audio', 0 ) );
            $options = range(1,5);
            foreach( $options as $key ) {
              $sltd = '';
              if ( $key == $audio ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $key . '"' . $sltd . '>Audio #' . $key . '</option>';
            }
            ?>
          </select>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide">
              <?php _e( 'The sound effect when the widget is hidden.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipeng-field-row -->

    </div>
    <!-- end: .ipeng-fields -->

  </div>
</div>
