<?php
/**
 * Admin content countdown view
 *
 * @package wp-video-attention
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipeng-section-result" class="ipeng-tab-content">
  <div class="ipeng-tab-inner">

    <div class="ipeng-title-content ipeng-hide">
      <i class="ipeng-fa ipeng-fa-bar-chart"></i>
      <div class="ipeng-title-text">
        <h3><?php _e( 'Result', IPENG_SLUG ); ?></h3>
        <p><?php _e( 'Set the result content.', IPENG_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipeng-fields -->
    <div class="ipeng-fields">

			<?php
      /*
       * Action
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-action-type"><?php _e( 'Action After User Votes', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

          <select name="action_type" id="ipeng-input-action-type">
            <?php
            $types = array(
							'display' 	=> __( 'Display results in box', IPENG_SLUG ),
              'redirect'  => __( 'Redirecting to an URL', IPENG_SLUG )
            );
            $actionType = $this->setting->getSetting( 'action_type', 'display' );
            foreach( $types as $key => $label )
            {
              $sltd = '';
              if ( $actionType == $key ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide">
              <?php _e( 'Action types will be added in the widget.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

			<?php
			$dspRedirect = $dspDisplay = ' style="display:none;"';
			if ( $actionType == 'redirect' ) {
				$dspRedirect = '';
			} else {
				$dspDisplay = '';
			}
			?>
			<!-- start: .ipeng-action-type-redirect -->
			<div class="ipeng-action-type-redirect"<?php echo $dspRedirect; ?>>

				<?php
	      /*
	       * Redirect URL
	       */
	      ?>
	      <!-- start: .ipeng-field-row -->
	      <div class="ipeng-field-row ipeng-field-x ipeng-help-abs">
	        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
	          <label for="input-result-redirect"><?php _e( 'Redirect Urls', IPENG_SLUG ); ?></label>
	        </div>

	        <!-- start: .ipeng-field -->
	        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
	          
		        <!-- start: .ipeng-field-choices -->
						<div class="ipeng-field-choices">
							<!-- start: .ipeng-choices -->
							<div class="ipeng-choices">

								<?php
								if ( ! empty( $this->choices )) :
									foreach( $this->choices as $choice ) :
								?>
								<!-- start: .ipeng-choice-setting-item -->
								<div class="ipeng-choice-setting-item">
									<div class="ipeng-choice-header">
										<h4 class="ipeng-choice-title">
											<?php echo $choice->choi_title; ?>
										</h4>
										<span class="ipeng-choice-mover">
											<i class="ipeng-fa ipeng-fa-check-square-o"></i>
										</span>
									</div>

									<!-- start: .ipeng-choice-fields -->
									<div class="ipeng-choice-fields">

										<!-- start: .ipeng-choice-field -->
										<div class="ipeng-choice-field ipeng-choice-icon-field ipeng-clear">

											<div class="ipeng-form-label">
							          <label><?php _e( 'Redirect Url', IPENG_SLUG ); ?></label>
							        </div>
							        <!-- start: .ipeng-field -->
							        <div class="ipeng-field">
												<input
													type="text"
													class="ipeng-input ipeng-input-full ipeng-input-choice"
													name="choice_redirects[]"
													value="<?php echo $choice->choi_redirect; ?>">
											</div>
											<!-- end: .ipeng-field -->

										</div>
										<!-- end: .ipeng-choice-field -->

									</div>
									<!-- end: .ipeng-choice-fields -->

								</div>
								<!-- end: .ipeng-choice-setting-item -->

								<?php
									endforeach;
								endif;
								?>

							</div>
							<!-- end: .ipeng-choices -->
						</div>
						<!-- end: .ipeng-field-choices -->

					</div>
	      	<!-- end: .ipeng-field -->

	      </div>
	      <!-- end: .ipeng-field-row -->

			</div>
			<!-- end: .ipeng-action-type-redirect -->

			<!-- start: .ipeng-action-type-display -->
			<div class="ipeng-action-type-display"<?php echo $dspDisplay; ?>>

				<?php
				/*
				 * Style
				 */
				?>
				<!-- start: .ipeng-field-row -->
				<div class="ipeng-field-row ipeng-field-x">
					<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
						<label for="input-result-style"><?php _e( 'Result Style', IPENG_SLUG ); ?></label>
					</div>

					<!-- start: .ipeng-field -->
					<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
						<?php
						$style   = $this->setting->getSetting( 'result_style' );
						$options = array(
								1 => __( 'Style #1', IPENG_SLUG ),
								2 => __( 'Style #2', IPENG_SLUG )
						);
						?>
						<select name="result_style" id="input-result-style">
							<?php
							foreach( $options as $key => $label )
							{
									$sltd = '';
									if ( $key == $style ) {
											$sltd = ' selected="selected"';
									}
									echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
							}
							?>
						</select>

						<div class="ipeng-help">
							<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
							<div class="ipeng-help-content ipeng-hide">
								<?php _e( 'Set the style of the result.', IPENG_SLUG ); ?>
							</div>
						</div>
					</div>
					<!-- end: .ipeng-field -->
				</div>
				<!-- end: .ipeng-field-row -->

				<h4 class="ipeng-field-title mb0 py10">
					<?php _e( 'Content', IPENG_SLUG ); ?>
				</h4>

				<?php
	      /*
	       * Title
	       */
	      ?>
	      <!-- start: .ipeng-field-row -->
	      <div class="ipeng-field-row ipeng-field-x ipeng-help-abs">
	        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
	          <label for="input-result-title"><?php _e( 'Title', IPENG_SLUG ); ?></label>
	        </div>

	        <!-- start: .ipeng-field -->
	        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
	          <?php
	          $title = stripslashes( $this->setting->getSetting( 'result_title' ) );
	          ?>
	          <input type="text" id="input-result-title" class="ipeng-input ipeng-input-full" name="result_title" value="<?php echo $title; ?>">

	          <div class="ipeng-help">
	            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
	            <div class="ipeng-help-content ipeng-hide"><?php _e( 'The title of the result section.', IPENG_SLUG ); ?>
	            </div>
	          </div>
	        </div>
	        <!-- end: .ipeng-field -->
	      </div>
	      <!-- end: .ipeng-field-row -->

	      <?php
	      /*
	       * Info
	       */
	      ?>
	      <!-- start: .ipeng-field-row -->
	      <div class="ipeng-field-row ipeng-field-x ipeng-help-abs">
	        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
	          <label for="input-result-info"><?php _e( 'Info', IPENG_SLUG ); ?></label>
	        </div>

	        <!-- start: .ipeng-field -->
	        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
	          <?php
	          $info = stripslashes( $this->setting->getSetting( 'result_info' ) );
	          ?>
	          <textarea id="input-result-info" class="ipeng-input ipeng-input-full" name="result_info" rows="6"><?php echo $info; ?></textarea>

	          <div class="ipeng-help">
	            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
	            <div class="ipeng-help-content ipeng-hide"><?php _e( 'The info of the result section.', IPENG_SLUG ); ?>
	            </div>
	          </div>
	        </div>
	        <!-- end: .ipeng-field -->
	      </div>
	      <!-- end: .ipeng-field-row -->

    	</div>
			<!-- end: .ipeng-action-type-display -->

    </div>
    <!-- end: .ipeng-fields -->

  </div>
</div>
