<?php
/**
 * Box footer design options
 *
 * @package wp-engage-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>

<h4 class="ipeng-field-title mb0 py10">
	<?php _e( 'Box Footer Design', IPENG_SLUG ); ?>
</h4>

<?php
/*
 * Background Color
 */
?>
<!-- start: .ipeng-field-row -->
<div class="ipeng-field-row ipeng-field-x">
	<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
		<label for="input-footer-background-color"><?php _e( 'Background Color', IPENG_SLUG ); ?></label>
	</div>

	<!-- start: .ipeng-field -->
	<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

		<?php
		$color = stripslashes( $this->setting->getSetting( 'footer_background_color', '#666666' ) );
		?>
		<input type="text" class="ipeng-color-picker" id="input-footer-background-color" name="footer_background_color" value="<?php echo $color; ?>" />

		<div class="ipeng-help">
			<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
			<div class="ipeng-help-content ipeng-hide">
				<?php _e( 'Set background color for the box footer.', IPENG_SLUG ); ?>
			</div>
		</div>
	</div>
	<!-- end: .ipeng-field -->
</div>
<!-- end: .ipeng-field-row -->

<?php
/*
 * Border
 */
?>
<!-- start: .ipeng-field-row -->
<div class="ipeng-field-row ipeng-field-x">
	<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
		<label for="input-footer-border-width"><?php _e( 'Border', IPENG_SLUG ); ?></label>
	</div>

	<!-- start: .ipeng-field -->
	<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

		<?php
		$color   = stripslashes( $this->setting->getSetting( 'footer_border_color', '#111111' ) );
		$bowidth = $this->setting->getSetting( 'footer_border_width', 0 );
		?>
		<div class="ipeng-input-group mr5">
			<input type="text" id="input-footer-border-width" class="ipeng-input ipeng-input-xxs" name="footer_border_width" value="<?php echo $bowidth; ?>">
			<div class="ipeng-input-addon">px</div>
		</div>
		<input type="text" class="ipeng-color-picker" id="input-footer-border-color" name="footer_border_color" value="<?php echo $color; ?>" />

		<div class="ipeng-help">
			<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
			<div class="ipeng-help-content ipeng-hide">
				<?php _e( 'Add border for the box footer.', IPENG_SLUG ); ?>
			</div>
		</div>
	</div>
	<!-- end: .ipeng-field -->
</div>
<!-- end: .ipeng-field-row -->

<?php
//Border radius
?>
<!-- start: .ipeng-field-row -->
<div class="ipeng-field-row ipeng-field-x">
	<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
			<label for="input-footer-border-radius"><?php _e( 'Border Radius', IPENG_SLUG ); ?></label>
	</div>
	<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

			<select name="footer_border_radius" id="input-footer-border-radius">
			<?php
			$current = stripslashes( $this->setting->getSetting( 'footer_border_radius', 'none' ));
			$styles  = array(
					'none' => __( 'None', IPENG_SLUG ),
					'xs'   => __( 'Extra Small', IPENG_SLUG ),
					'sm'   => __( 'Small', IPENG_SLUG ),
					'md'   => __( 'Medium', IPENG_SLUG ),
					'lg'   => __( 'Large', IPENG_SLUG )
			);
			foreach( $styles as $key => $label ) {
					$sltd = '';
					if ( $key == $current ) {
							$sltd = ' selected="selected"';
					}
					echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
			}
			?>
			</select>

			<div class="ipeng-help">
				<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
					<div class="ipeng-help-content ipeng-hide">
					<?php _e( 'Add radius in the box footer.', IPENG_SLUG ); ?>
				</div>
		</div>
	</div>
</div>
<!-- end: .ipeng-field-row -->

<?php
/*
 * Text Color
 */
?>
<!-- start: .ipeng-field-row -->
<div class="ipeng-field-row ipeng-field-x">
	<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
		<label for="input-footer-text-color"><?php _e( 'Text Color', IPENG_SLUG ); ?></label>
	</div>

	<!-- start: .ipeng-field -->
	<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

		<?php
		$color = stripslashes( $this->setting->getSetting( 'footer_text_color', '#ffffff' ) );
		?>
		<input type="text" class="ipeng-color-picker" id="input-footer-text-color" name="footer_text_color" value="<?php echo $color; ?>" />

		<div class="ipeng-help">
			<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
			<div class="ipeng-help-content ipeng-hide">
				<?php _e( 'Set text color for the box footer.', IPENG_SLUG ); ?>
			</div>
		</div>
	</div>
	<!-- end: .ipeng-field -->
</div>
<!-- end: .ipeng-field-row -->

<?php
//Font Family
?>
<div class="ipeng-field-row ipeng-field-x">
	<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
		<label for="input-footer-font-family"><?php _e( 'Font Family', IPENG_SLUG ); ?></label>
	</div>
	<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

		<?php
		$current = $this->setting->getSetting( 'footer_font_family', 'roboto' );
		$fonts   = IPEng_Font::getOptions();
		$fname   = IPEng_Font::getFontName( $current );
		?>
		<span class="ipeng-font-family">
			<div class="ipeng-menu ipeng-fancy-option">
				<div class="ipeng-selected">
					<div class="ipeng-selected-box">
						<span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
					</div>
					<span class="toggle"></span>
				</div>
				<div class="ipeng-select" style="display: none;">
					<div class="ipeng-select-content">
						<ul class="clearfix">
							<?php
							foreach( $fonts as $fkey => $label ) :
							?>
							<li data-select="<?php echo $fkey; ?>">
								<strong class="ipeng-select-label">
									<?php echo $label; ?>
								</strong>
							</li>
							<?php
							endforeach;
							?>
						</ul>
					</div>
				</div>
				<input type="hidden" name="font_family" class="ipeng-input-select" value="<?php echo $current; ?>" />
			</div>
		</span>

		<div class="ipeng-help">
			<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
			<div class="ipeng-help-content ipeng-hide">
				<?php _e( 'The font family of the text in your box footer.', IPENG_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
