<?php
/**
 * Header box
 *
 * @package wp-engage-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st = $this->setting;

$bgcolor  = $st->getSetting( 'header_background_color', '#f9f9f9' );
$color    = $st->getSetting( 'header_text_color', '#333333' );
$bowidth  = $st->getSetting( 'header_border_width' );
$bocolor  = $st->getSetting( 'header_border_color', '#dddddd' );
$padding  = $st->getSetting( 'header_padding', '0' );
$style    = $st->getSetting( 'box_style', '1' );

//Font
$font_opt = $st->getSetting( 'header_font_family', 'roboto' );
$family   = IPEng_Font::getFamily( $font_opt );
?>

<style>
<?php
//.ipeng-widget-header
?>
.ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-widget-header {
  color: <?php echo $color; ?>;
  font-family: <?php echo $family; ?>;
  background-color: <?php echo $bgcolor ?>;
}

<?php
//.ipeng-widget-header-inner
?>
.ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-widget-header-inner {
  padding: <?php echo $padding; ?>px;
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}

<?php
$phpcolor = new phpColor( $bgcolor );
$bgdarken = $phpcolor->darken( 10 );
//Style 2
if ( $style == 2 ) :
?>
.ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-widget-header {
  border-color: #<?php echo $bgdarken; ?>;
}
<?php
endif;
?>

<?php
//Style 3 || 4
if ( $style == 3 || $style == 4 ) :
?>
.ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-widget-header:after {
  border-top-color: <?php echo $bgcolor; ?>;
}
<?php
endif;
?>

<?php
//Style 5
if ( $style == 5 || $style == 6 ) :
?>
.ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-widget-header:after {
  border-bottom-color: #<?php echo $bgdarken; ?>;
}
<?php
endif;
?>

<?php
//Style 6
if ( $style == 6 ) :
?>
.ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-widget-header-inner:before {
	background-color: <?php echo $bgcolor ?>;
}
.ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-widget-header-inner:after {
  border-bottom-color: #<?php echo $bgdarken; ?>;
}
<?php
endif;
?>

<?php
//Style 7
if ( $style == 7 ) :
?>
.ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-widget-header:after {
  background-color: <?php echo $bgcolor ?>;
}
<?php
endif;
?>
</style>

<?php
$mainClass = 'ipeng-widget-header';
if ( $radius = $st->getSetting( 'header_border_radius' )) {
  $mainClass .= ' ipeng-radius-' . $radius;
}
?>
<!-- start: .ipeng-widget-header -->
<div class="<?php echo $mainClass; ?>">
	<div class="ipeng-widget-header-inner">
		<h2 class="ipeng-widget-title">
			<?php
			$icon = $st->getSetting( 'header_icon', 'check-square-o' );
			if ( $icon ) {
				$parts  = explode( '-', $icon );
				$prefix = array_shift( $parts );
				if ( strlen( $prefix ) == 2 ){
					$icon = 'ipeng-'.$prefix.' ipeng-'.$icon;
				} else {
					$icon = 'ipeng-fa ipeng-fa-'.$icon;
				}
			}
			echo '<i class="' . $icon . '"></i>';

			if ( $this->isVoted ) {
				$dspBefore = ' style="display:none;"';
				$dspAfter  = '';
			} else {
				$dspBefore = '';
				$dspAfter  = ' style="display:none;"';
			}
			?>
			<span class="ipeng-widget-title-before"<?php echo $dspBefore; ?>>
				<?php echo $st->getSetting( 'widget_title', 'Widget' ); ?>
			</span>
			<span class="ipeng-widget-title-after"<?php echo $dspAfter; ?>>
				<?php echo $st->getSetting( 'result_title', 'Result' ); ?>
			</span>
		</h2>
		<?php
		if ( ! isset( $this->isPage )) {
	    //Close button
	    $this->view( 'front/widget/close' );
		}
    ?>
	</div>
</div>
<!-- end: .ipeng-widget-header -->