<?php
/**
 * Class model widget
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPEng_Model_Widget' )) {

  /**
   * Class model widget
   */
  class IPEng_Model_Widget
  {
    /**
     * Save setting
     *
     * @param  int $postId
     * @return void
     */
    public function saveSetting( $postId )
    {
      $postId   = absint( $postId );
      $data     = $this->_getSettingData( $postId );
      $setting  = new IPEng_Setting( $postId, '__ipeng-widget-setting' );
      $result   = $setting->setSettings( $data );
      return $result;
    }

    /**
     * Get setting data
     *
     * @param  int $postId
     * @return array
     */
    protected function _getSettingData( $postId )
    {
      $setting = array();
      $data    = array_merge( $_POST, $_GET );

      //
      //General
      //
      if ( isset( $data['status'] )) {
        $setting['status'] = apply_filters( 'pre_term_name', $data['status'] );
      }
      if ( isset( $data['position'] )) {
        $setting['position'] = apply_filters( 'pre_term_name', $data['position'] );
      }
      if ( isset( $data['restricted'] )) {
        $setting['restricted'] = apply_filters( 'pre_term_name', $data['restricted'] );
      }
      if ( isset( $data['test_mode'] )) {
        $setting['test_mode'] = apply_filters( 'pre_term_name', $data['test_mode'] );
      }

      //
      //Content
      //
      if ( isset( $data['widget_title'] )) {
        $setting['widget_title'] = apply_filters( 'single_post_title', $data['widget_title'] );
      }
      if ( isset( $data['header_icon'] )) {
        $setting['header_icon'] = apply_filters( 'pre_term_name', $data['header_icon'] );
      }
      if ( isset( $data['widget_info'] )) {
        $setting['widget_info'] = apply_filters( 'single_post_title', $data['widget_info'] );
      }
      if ( isset( $data['widget_footer_info'] )) {
        $setting['widget_footer_info'] = apply_filters( 'single_post_title', $data['widget_footer_info'] );
      }
      if ( isset( $data['question'] )) {
        $setting['question'] = apply_filters( 'single_post_title', $data['question'] );
      }

			//Update choices
			//
			if ( ! empty( $data['choices'] )) {
				$this->_changeChoices( $postId );
			}

      //Media
      //
      if ( isset( $data['media_type'] )) {
        $setting['media_type'] = apply_filters( 'pre_term_name', $data['media_type'] );
      }
      if ( isset( $data['media_image'] )) {
        $setting['media_image'] = absint( $data['media_image'] );
      }
      if ( isset( $data['youtube_url'] )) {
        $setting['youtube_url'] = apply_filters( 'pre_link_url', $data['youtube_url'] );
      }
      if ( isset( $data['youtube_start'] )) {
        $setting['youtube_start'] = absint( $data['youtube_start'] );
      }
      if ( isset( $data['video_autoplay'] )) {
        $setting['video_autoplay'] = apply_filters( 'pre_term_name', $data['video_autoplay'] );
      }
      if ( isset( $data['video_width'] )) {
        $setting['video_width'] = absint( $data['video_width'] );
      }
      if ( isset( $data['video_height'] )) {
        $setting['video_height'] = absint( $data['video_height'] );
      }

      //
      //Result
      //
      if ( isset( $data['action_type'] )) {
        $setting['action_type'] = apply_filters( 'pre_term_name', $data['action_type'] );
      }
      if ( isset( $data['result_style'] )) {
        $setting['result_style'] = apply_filters( 'pre_term_name', $data['result_style'] );
      }
      if ( isset( $data['result_title'] )) {
        $setting['result_title'] = apply_filters( 'single_post_title', $data['result_title'] );
      }
      if ( isset( $data['result_info'] )) {
        $setting['result_info'] = apply_filters( 'single_post_title', $data['result_info'] );
      }

      // Share
      //
      if ( isset( $data['share_status'] )) {
        $setting['share_status'] = apply_filters( 'pre_term_name', $data['share_status'] );
      }
      if ( isset( $data['share_facebook'] )) {
        $setting['share_facebook'] = apply_filters( 'pre_term_name', $data['share_facebook'] );
      }
      if ( isset( $data['share_twitter'] )) {
        $setting['share_twitter'] = apply_filters( 'pre_term_name', $data['share_twitter'] );
      }
      if ( isset( $data['share_google-plus'] )) {
        $setting['share_google-plus'] = apply_filters( 'pre_term_name', $data['share_google-plus'] );
      }
      if ( isset( $data['share_linkedin'] )) {
        $setting['share_linkedin'] = apply_filters( 'pre_term_name', $data['share_linkedin'] );
      }
      if ( isset( $data['share_tumblr'] )) {
        $setting['share_tumblr'] = apply_filters( 'pre_term_name', $data['share_tumblr'] );
      }
      if ( isset( $data['share_pinterest'] )) {
        $setting['share_pinterest'] = apply_filters( 'pre_term_name', $data['share_pinterest'] );
      }
      if ( isset( $data['share_stumbleupon'] )) {
        $setting['share_stumbleupon'] = apply_filters( 'pre_term_name', $data['share_stumbleupon'] );
      }
      if ( isset( $data['share_digg'] )) {
        $setting['share_digg'] = apply_filters( 'pre_term_name', $data['share_digg'] );
      }
      if ( isset( $data['share_button_style'] )) {
        $setting['share_button_style'] = apply_filters( 'pre_term_name', $data['share_button_style'] );
      }

      //
      //Design
      //
      if ( isset( $data['widget_width'] )) {
        $setting['widget_width'] = absint( $data['widget_width'] );
      }
      if ( isset( $data['box_style'] )) {
        $setting['box_style'] = apply_filters( 'pre_term_name', $data['box_style'] );
      }
      if ( isset( $data['box_shadow'] )) {
        $setting['box_shadow'] = apply_filters( 'pre_term_name', $data['box_shadow'] );
      }
      //Content
      if ( isset( $data['content_background_color'] )) {
        $setting['content_background_color'] = apply_filters( 'pre_term_name', $data['content_background_color'] );
      }
      if ( isset( $data['content_background_image'] )) {
        $setting['content_background_image'] = absint( $data['content_background_image'] );
      }
      if ( isset( $data['content_background_repeat'] )) {
        $setting['content_background_repeat'] = apply_filters( 'pre_term_name', $data['content_background_repeat'] );
      }
      if ( isset( $data['content_background_opacity'] )) {
        $setting['content_background_opacity'] = apply_filters( 'pre_term_name', $data['content_background_opacity'] );
      }
      if ( isset( $data['content_border_color'] )) {
        $setting['content_border_color'] = apply_filters( 'pre_term_name', $data['content_border_color'] );
      }
      if ( isset( $data['content_border_width'] )) {
        $setting['content_border_width'] = apply_filters( 'pre_term_name', $data['content_border_width'] );
      }
      if ( isset( $data['content_border_radius'] )) {
        $setting['content_border_radius'] = apply_filters( 'pre_term_name', $data['content_border_radius'] );
      }
      if ( isset( $data['content_text_color'] )) {
        $setting['content_text_color'] = apply_filters( 'pre_term_name', $data['content_text_color'] );
      }
      if ( isset( $data['content_font_family'] )) {
        $setting['content_font_family'] = apply_filters( 'pre_term_name', $data['content_font_family'] );
      }
      if ( isset( $data['content_padding'] )) {
        $setting['content_padding'] = apply_filters( 'pre_term_name', $data['content_padding'] );
      }
      //Header
      if ( isset( $data['header_background_color'] )) {
        $setting['header_background_color'] = apply_filters( 'pre_term_name', $data['header_background_color'] );
      }
      if ( isset( $data['header_border_color'] )) {
        $setting['header_border_color'] = apply_filters( 'pre_term_name', $data['header_border_color'] );
      }
      if ( isset( $data['header_border_width'] )) {
        $setting['header_border_width'] = apply_filters( 'pre_term_name', $data['header_border_width'] );
      }
      if ( isset( $data['header_border_radius'] )) {
        $setting['header_border_radius'] = apply_filters( 'pre_term_name', $data['header_border_radius'] );
      }
      if ( isset( $data['header_text_color'] )) {
        $setting['header_text_color'] = apply_filters( 'pre_term_name', $data['header_text_color'] );
      }
      if ( isset( $data['header_font_family'] )) {
        $setting['header_font_family'] = apply_filters( 'pre_term_name', $data['header_font_family'] );
      }
      if ( isset( $data['header_padding'] )) {
        $setting['header_padding'] = apply_filters( 'pre_term_name', $data['header_padding'] );
      }
      //Footer
      if ( isset( $data['footer_background_color'] )) {
        $setting['footer_background_color'] = apply_filters( 'pre_term_name', $data['footer_background_color'] );
      }
      if ( isset( $data['footer_border_color'] )) {
        $setting['footer_border_color'] = apply_filters( 'pre_term_name', $data['footer_border_color'] );
      }
      if ( isset( $data['footer_border_width'] )) {
        $setting['footer_border_width'] = apply_filters( 'pre_term_name', $data['footer_border_width'] );
      }
      if ( isset( $data['footer_border_radius'] )) {
        $setting['footer_border_radius'] = apply_filters( 'pre_term_name', $data['footer_border_radius'] );
      }
      if ( isset( $data['footer_text_color'] )) {
        $setting['footer_text_color'] = apply_filters( 'pre_term_name', $data['footer_text_color'] );
      }
      if ( isset( $data['footer_font_family'] )) {
        $setting['footer_font_family'] = apply_filters( 'pre_term_name', $data['footer_font_family'] );
      }
      if ( isset( $data['footer_padding'] )) {
        $setting['footer_padding'] = apply_filters( 'pre_term_name', $data['footer_padding'] );
      }
      //Choice
      if ( isset( $data['choice_style'] )) {
        $setting['choice_style'] = apply_filters( 'pre_term_name', $data['choice_style'] );
      }
      if ( isset( $data['choice_text_color'] )) {
        $setting['choice_text_color'] = apply_filters( 'pre_term_name', $data['choice_text_color'] );
      }
      if ( isset( $data['choice_font_family'] )) {
        $setting['choice_font_family'] = apply_filters( 'pre_term_name', $data['choice_font_family'] );
      }
      //Close
      if ( isset( $data['close_button'] )) {
        $setting['close_button'] = apply_filters( 'pre_term_name', $data['close_button'] );
      }
      if ( isset( $data['close_bgcolor'] )) {
        $setting['close_bgcolor'] = apply_filters( 'pre_term_name', $data['close_bgcolor'] );
      }
      if ( isset( $data['close_border_color'] )) {
        $setting['close_border_color'] = apply_filters( 'pre_term_name', $data['close_border_color'] );
      }
      if ( isset( $data['close_color'] )) {
        $setting['close_color'] = apply_filters( 'pre_term_name', $data['close_color'] );
      }


      //
      //Effect
      //
      if ( isset( $data['show_delay'] )) {
        $setting['show_delay'] = absint( $data['show_delay'] );
      }
      if ( isset( $data['show_effect'] )) {
        $setting['show_effect'] = apply_filters( 'pre_term_name', $data['show_effect'] );
      }
      if ( isset( $data['show_effect_speed'] )) {
        $setting['show_effect_speed'] = absint( $data['show_effect_speed'] );
      }
      if ( isset( $data['hide_effect'] )) {
        $setting['hide_effect'] = apply_filters( 'pre_term_name', $data['hide_effect'] );
      }
      if ( isset( $data['hide_effect_speed'] )) {
        $setting['hide_effect_speed'] = absint( $data['hide_effect_speed'] );
      }
      if ( isset( $data['show_audio'] )) {
        $setting['show_audio'] = apply_filters( 'pre_term_name', $data['show_audio'] );
      }
      if ( isset( $data['hide_audio'] )) {
        $setting['hide_audio'] = apply_filters( 'pre_term_name', $data['hide_audio'] );
      }



      return $setting;
    }

    /**
     * Change choices
     *
     * @param  int   $postId
     * @return array
     */
    protected function _changeChoices( $postId )
    {
      $data   = array_merge( $_POST, $_GET );
      $titles = $data['choices'];
      $ids    = $data['choice_ids'];
      $model  = new IPEng_Model();

      $indb = array();
      foreach( $ids as $idx => $id )
      {
        if ( empty( $data['choices'][$idx] )) {
          continue;
        }
        if ( ! empty( $id )) {
          $indb[] = $id;
        }
      }
      //
      //Remove deleted choices
      if ( $choices = $model->getChoices( $postId ) ) 
      {
        foreach( $choices as $choice )
        {
          if ( ! in_array( $choice->choi_id, $indb )) {
            $model->deleteChoice( $choice->choi_id );
          }
        }
      }

      $order = 1;
      foreach( $ids as $idx => $id )
      {
        if ( empty( $data['choices'][$idx] )) {
          continue;
        }
        $indb[]   = $id;
        $title    = $data['choices'][$idx];
        $color    = '#666666';
        $icon     = 'heart';
        $redirect = '';
        if ( ! empty( $data['choice_colors'][$idx] )) {
          $color = apply_filters( 'single_post_title', $data['choice_colors'][$idx] );
        }
        if ( ! empty( $data['choice_icons'][$idx] )) {
          $icon = apply_filters( 'single_post_title', $data['choice_icons'][$idx] );
        }
        if ( ! empty( $data['choice_redirects'][$idx] )) {
          $redirect =apply_filters('single_post_title',$data['choice_redirects'][$idx]);
        }

        if ( ! empty( $id )) {
          $this->_updateChoice( $id, $title, $color, $icon, $redirect, $order );
        } else {
          $this->_addChoice( $postId, $title, $color, $icon, $redirect, $order );
        }

        $order++;
      }
    }

    /**
     * Update choice
     *
     * @param  int    $id
     * @param  string $title
     * @param  string $color
     * @param  string $icon
     * @param  string $redirect
     * @param  int    $order
     * @return array
     */
    protected function _updateChoice( $id, $title, $color, $icon, $redirect, $order )
    {
      $model = new IPEng_Model();

      $toUpdate = array(
        'choi_title'    => apply_filters( 'single_post_title', $title ),
        'choi_color'    => $color,
        'choi_icon'     => $icon,
        'choi_redirect' => $redirect,
        'choi_order'    => $order
      );
      //Save data
      $model->updateChoice( $id, $toUpdate );
    }

    /**
     * Add choice
     *
     * @param  int    $postId
     * @param  string $title
     * @param  string $color
     * @param  string $icon
     * @param  string $redirect
     * @param  int    $order
     * @return array
     */
    protected function _addChoice( 
      $postId, $title, $color, $icon, $redirect, $order 
    ){
			$model = new IPEng_Model();

			$toInsert = array(
        'widg_id'       => $postId,
        'choi_title'    => apply_filters( 'single_post_title', $title ),
        'choi_color'    => $color,
        'choi_icon'     => $icon,
        'choi_redirect' => $redirect,
        'choi_created'  => date( 'c' ),
        'choi_order'    => $order,
        'choi_count'    => 0,
        'choi_status'   => 1
        );
        //Save data
        $model->insertChoice( $toInsert );
    }

  }
}
?>
