<?php
/**
 * Manage box content view
 *
 * @package wp-engage-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipeng-section-content" class="ipeng-tab-content">
  <div class="ipeng-tab-inner">

    <div class="ipeng-title-content ipeng-hide">
      <i class="ipeng-fa ipeng-fa-cogs"></i>
      <div class="ipeng-title-text">
        <h3><?php _e( 'Content', IPENG_SLUG ); ?></h3>
        <p><?php _e( 'Set the widget content', IPENG_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipeng-fields -->
    <div class="ipeng-fields">

      <?php
      /*
       * Title
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x ipeng-help-abs">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-title"><?php _e( 'Title', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = stripslashes( $this->setting->getSetting( 'widget_title' ) );
          ?>
          <input type="text" id="input-widget-title" class="ipeng-input ipeng-input-full" name="widget_title" value="<?php echo $title; ?>">

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide"><?php _e( 'The title of the widget.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

			<?php
      /*
       * Header Icon
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x ipeng-help-abs">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-header-icon"><?php _e( 'Header Icon', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $icon = stripslashes( $this->setting->getSetting( 'header_icon' ) );
          IPEng_Faicon::get_html_option( 'header_icon', $icon );
          ?>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide"><?php _e( 'The icon of the header.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

      <?php
      /*
       * Info
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x ipeng-help-abs">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-info"><?php _e( 'Main Info', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $info = stripslashes( $this->setting->getSetting( 'widget_info' ) );
          ?>
          <textarea id="input-widget-info" class="ipeng-input ipeng-input-full" name="widget_info" rows="6"><?php echo $info; ?></textarea>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide"><?php _e( 'The info of the widget.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

      <?php
      /*
       * Footer Info
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x ipeng-help-abs">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-footer-info"><?php _e( 'Footer Info', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $info = stripslashes( $this->setting->getSetting( 'widget_footer_info' ) );
          ?>
          <textarea id="input-widget-footer-info" class="ipeng-input ipeng-input-full" name="widget_footer_info" rows="6"><?php echo $info; ?></textarea>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide"><?php _e( 'The info of the widget footer.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

      <h4 class="ipeng-field-title mb0 py10">
        <?php _e( 'Question', IPENG_SLUG ); ?>
      </h4>

			<?php
      /*
       * Question
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x ipeng-help-abs">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-question"><?php _e( 'Question', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $question = stripslashes( $this->setting->getSetting( 'question' ) );
          ?>
          <textarea id="input-question" class="ipeng-input ipeng-input-full" name="question" rows="6"><?php echo $question; ?></textarea>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide"><?php _e( 'The content of the question.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

			<?php
      /*
       * Choices
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x ipeng-help-abs">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-choices"><?php _e( 'Choices', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

					<!-- start: .ipeng-field-choices -->
					<div class="ipeng-field-choices">
						<div class="ipeng-choices ipeng-choices-content">

							<?php
							if ( ! empty( $this->choices )) :
								foreach( $this->choices as $choice ) :
							?>
							<!-- start: .ipeng-choice-setting-item -->
							<div class="ipeng-choice-setting-item">
								<input type="hidden" name="choice_ids[]" value="<?php echo $choice->choi_id; ?>">

								<div class="ipeng-choice-header">
									<h4 class="ipeng-choice-title">
										<?php echo $choice->choi_title; ?>
									</h4>
									<span class="ipeng-choice-mover">
										<i class="ipeng-fa ipeng-fa-arrows"></i>
									</span>
									<button type="button" class="ipeng-choice-delete">
										<i class=" ipeng-fa ipeng-fa-times"></i>
									</button>
								</div>

								<!-- start: .ipeng-choice-fields -->
								<div class="ipeng-choice-fields">

									<!-- start: .ipeng-choice-field -->
									<div class="ipeng-choice-field ipeng-choice-icon-field ipeng-clear">

										<div class="ipeng-form-label">
						          <label><?php _e( 'Text', IPENG_SLUG ); ?></label>
						        </div>
						        <!-- start: .ipeng-field -->
						        <div class="ipeng-field">
											<input
												type="text"
												class="ipeng-input ipeng-input-full ipeng-input-choice"
												name="choices[]"
												value="<?php echo $choice->choi_title; ?>">
										</div>
										<!-- end: .ipeng-field -->

									</div>
									<!-- end: .ipeng-choice-field -->

									<!-- start: .ipeng-choice-field -->
									<div class="ipeng-choice-field ipeng-clear">

										<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
						          <label><?php _e( 'Color', IPENG_SLUG ); ?></label>
						        </div>
						        <!-- start: .ipeng-field -->
						        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
											<input
												type="text"
												class="ipeng-color-picker"
												id="input-header-background-color"
												name="choice_colors[]"
												value="<?php echo $choice->choi_color; ?>" />
										</div>
										<!-- end: .ipeng-field -->

									</div>
									<!-- end: .ipeng-choice-field -->

									<!-- start: .ipeng-choice-field -->
									<div class="ipeng-choice-field ipeng-choice-icon-field ipeng-clear">

										<div class="ipeng-form-label">
						          <label><?php _e( 'Icon', IPENG_SLUG ); ?></label>
						        </div>
						        <!-- start: .ipeng-field -->
						        <div class="ipeng-field">
											<?php
						          IPEng_Faicon::get_html_option( 'choice_icons[]', $choice->choi_icon );
						          ?>
										</div>
										<!-- end: .ipeng-field -->

									</div>
									<!-- end: .ipeng-choice-field -->

								</div>
								<!-- end: .ipeng-choice-fields -->

							</div>
							<!-- end: .ipeng-choice-setting-item -->

							<?php
								endforeach;
							endif;
							?>

							<!-- start: .ipeng-choice-setting-item -->
							<div class="ipeng-choice-setting-item">
								<input type="hidden" name="choice_ids[]" value="0">
								<div class="ipeng-choice-header">
									<h4 class="ipeng-choice-title">
										Untitled Choice
									</h4>
									<span class="ipeng-choice-mover">
										<i class="ipeng-fa ipeng-fa-arrows"></i>
									</span>
									<button type="button" class="ipeng-choice-delete">
										<i class=" ipeng-fa ipeng-fa-times"></i>
									</button>
								</div>

								<!-- start: .ipeng-choice-fields -->
								<div class="ipeng-choice-fields">

									<!-- start: .ipeng-choice-field -->
									<div class="ipeng-choice-field ipeng-choice-icon-field ipeng-clear">

										<div class="ipeng-form-label">
						          <label><?php _e( 'Text', IPENG_SLUG ); ?></label>
						        </div>
						        <!-- start: .ipeng-field -->
						        <div class="ipeng-field">
											<input
												type="text"
												class="ipeng-input ipeng-input-full ipeng-input-choice"
												name="choices[]"
												value="">
										</div>
										<!-- end: .ipeng-field -->

									</div>
									<!-- end: .ipeng-choice-field -->

									<!-- start: .ipeng-choice-field -->
									<div class="ipeng-choice-field ipeng-clear">

										<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
						          <label><?php _e( 'Color', IPENG_SLUG ); ?></label>
						        </div>
						        <!-- start: .ipeng-field -->
						        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
											<input
												type="text"
												class="ipeng-color-picker"
												id="input-header-background-color"
												name="choice_colors[]"
												value="#66666" />
										</div>
										<!-- end: .ipeng-field -->

									</div>
									<!-- end: .ipeng-choice-field -->

									<!-- start: .ipeng-choice-field -->
									<div class="ipeng-choice-field ipeng-choice-icon-field ipeng-clear">

										<div class="ipeng-form-label">
						          <label><?php _e( 'Icon', IPENG_SLUG ); ?></label>
						        </div>
						        <!-- start: .ipeng-field -->
						        <div class="ipeng-field">
											<?php
						          IPEng_Faicon::get_html_option( 'choice_icons[]', 'heart' );
						          ?>
										</div>
										<!-- end: .ipeng-field -->

									</div>
									<!-- end: .ipeng-choice-field -->

								</div>
								<!-- end: .ipeng-choice-fields -->

							</div>
							<!-- end: .ipeng-choice-setting-item -->

							<!-- start: ._input-temp -->
							<div class="ipeng-choice-setting-item _input-temp" style="display:none;">
								<input type="hidden" class="ipeng-value-choice-id" name="__choice_ids[]" value="0">
								<div class="ipeng-choice-header">
									<h4 class="ipeng-choice-title">
										Untitled Choice
									</h4>
									<span class="ipeng-choice-mover">
										<i class="ipeng-fa ipeng-fa-arrows"></i>
									</span>
									<button type="button" class="ipeng-choice-delete">
										<i class=" ipeng-fa ipeng-fa-times"></i>
									</button>
								</div>

								<!-- start: .ipeng-choice-fields -->
								<div class="ipeng-choice-fields">

									<!-- start: .ipeng-choice-field -->
									<div class="ipeng-choice-field ipeng-choice-icon-field ipeng-clear">

										<div class="ipeng-form-label">
						          <label><?php _e( 'Text', IPENG_SLUG ); ?></label>
						        </div>
						        <!-- start: .ipeng-field -->
						        <div class="ipeng-field">
											<input
												type="text"
												class="ipeng-input ipeng-input-full ipeng-input-choice"
												name="__choices[]"
												value="">
										</div>
										<!-- end: .ipeng-field -->

									</div>
									<!-- end: .ipeng-choice-field -->

									<!-- start: .ipeng-choice-field -->
									<div class="ipeng-choice-field ipeng-clear">

										<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
						          <label><?php _e( 'Color', IPENG_SLUG ); ?></label>
						        </div>
						        <!-- start: .ipeng-field -->
						        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
											<input
												type="text"
												class="ipeng-input-choice-color"
												name="__choice_colors[]"
												value="#666666" />
										</div>
										<!-- end: .ipeng-field -->

									</div>
									<!-- end: .ipeng-choice-field -->

									<!-- start: .ipeng-choice-field -->
									<div class="ipeng-choice-field ipeng-choice-icon-field ipeng-clear">

										<div class="ipeng-form-label">
						          <label><?php _e( 'Icon', IPENG_SLUG ); ?></label>
						        </div>
						        <!-- start: .ipeng-field -->
						        <div class="ipeng-field">
											<?php
						          IPEng_Faicon::get_html_option( '__choice_icons[]', 'heart' );
						          ?>
										</div>
										<!-- end: .ipeng-field -->

									</div>
									<!-- end: .ipeng-choice-field -->

								</div>
								<!-- end: .ipeng-choice-fields -->

							</div>
							<!-- end: ._input-temp -->

						</div>
						<!-- end: .ipeng-choices -->

						<!-- start: .ipeng-choice-add -->
						<div class="ipeng-choice-add">
							<button type="button" name="choice_add" class="ipeng-do-add-choice ipeng-btn ipeng-btn-success ipeng-btn-sm">
								<?php _e( 'Add Input', IPENG_SLUG ); ?>
							</button>
						</div>
						<!-- end: .ipeng-choice-add -->

					</div>
					<!-- end: .ipeng-field-choices -->

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide"><?php _e( 'Manage the choices.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

      <h4 class="ipeng-field-title mb0 py10">
        <?php _e( 'Media', IPENG_SLUG ); ?>
      </h4>

			<?php
      /*
       * Media Type
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-media-type"><?php _e( 'Media Type', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

          <select name="media_type" id="ipeng-input-media-type">
            <?php
            $types = array(
							'none'   => __( 'None', IPENG_SLUG ),
              'image'  => __( 'Image', IPENG_SLUG ),
              'video'  => __( 'Video', IPENG_SLUG )
            );
            $current = $this->setting->getSetting( 'media_type', 'none' );
            foreach( $types as $key => $label )
            {
              $sltd = '';
              if ( $current == $key ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide">
              <?php _e( 'Media types will be added in the widget.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

			<?php
			$dspImage = $dspVideo = ' style="display:none;"';
			if ( $current == 'image' ) {
				$dspImage = '';
			} elseif ( $current == 'video' ) {
				$dspVideo = '';
			}
			?>
			<!-- start: .ipeng-fields-media-image  -->
			<div class="ipeng-fields-media-image"<?php echo $dspImage; ?>>

				<?php
	      /*
	       * Image
	       */
	      ?>
	      <!-- start: .ipeng-field-row -->
	      <div class="ipeng-field-row ipeng-field-x ipeng-help-abs">
	        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
	          <label for="input-media-image"><?php _e( 'Image', IPENG_SLUG ); ?></label>
	        </div>

	        <!-- start: .ipeng-field -->
	        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

	          <div class="ipeng-upload-image ipeng-clear">
							<div class="ipeng-upload-preview">
								<?php
								$setimg = false;
								if ( $attach_id = $this->setting->getSetting( 'media_image' ) ) {
									$setimg = true;
									$data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
								}
								if ( $setimg ) {
									echo '<div class="image"><img src="' . $data[0] . '" /></div>';
									echo '<div class="none ipeng-hide">' . __( 'No image', IPENG_SLUG ) . '</div>';
									$reset_dsp = '';
								} else {
									echo '<div class="image"></div>';
									echo '<div class="none">' . __( 'No image', IPENG_SLUG ) . '</div>';
									$reset_dsp = ' style="display:none;"';
								}
								?>
							</div>

							<div class="ipeng-image-field">
								<div class="ipeng-select-image">
									<p class="mt0"><?php _e( 'Select an image or upload new image using the header below.', IPENG_SLUG ); ?></p>
									<a class="ipeng-btn ipeng-btn-secondary ipeng-btn-media ipeng-btn-sm" data-choose="<?php esc_attr_e( 'Choose Image', IPENG_SLUG ); ?>"
										data-update="<?php esc_attr_e( 'Choose image', IPENG_SLUG ); ?>">
											<i class="ipeng-fa ipeng-fa-image"></i>
											<?php _e( 'Select Image', IPENG_SLUG ); ?>
									</a>
									<a class="ipeng-btn ipeng-btn-reset ipeng-btn-sm" href="#"<?php echo $reset_dsp; ?>>
											<i class="ipeng-fa ipeng-fa-ban"></i>
											<?php _e( 'Clear Image', IPENG_SLUG ); ?>
									</a>
								</div>
								<input type="hidden" name="upload_type" class="ipeng-upload-type" value="media_image" />
								<input type="hidden" name="media_image" class="ipeng-image-id" value="<?php echo $attach_id; ?>" />
							</div>
	          </div>

	          <div class="ipeng-help">
	            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
	            <div class="ipeng-help-content ipeng-hide">
	              <?php _e( 'The background image in the main section.', IPENG_SLUG ); ?>
	            </div>
	          </div>
	        </div>
	        <!-- end: .ipeng-field -->
	      </div>
	      <!-- end: .ipeng-field-row -->

      </div>
      <!-- end: .ipeng-fields-media-image -->

			<!-- start: .ipeng-fields-media-video  -->
			<div class="ipeng-fields-media-video"<?php echo $dspVideo; ?>>

				<?php
				/*
				 * Youtube Video URL
				 */
				?>
				<!-- start: .ipeng-field-row -->
				<div class="ipeng-field-row ipeng-field-x ipeng-help-abs">
					<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
						<label for="input-youtube-url">
							<?php _e( 'Youtube Video URL', IPENG_SLUG ); ?>
						</label>
					</div>

					<!-- start: .ipeng-field -->
					<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
						<?php
						$url = $this->setting->getSetting( 'youtube_url' );
						?>
						<input type="text" id="input-youtube-url" class="ipeng-input ipeng-input-full" name="youtube_url" value="<?php echo $url; ?>">

						<div class="ipeng-help">
							<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
							<div class="ipeng-help-content ipeng-hide"><?php _e( 'The URL of your youtube video.', IPENG_SLUG ); ?>
							</div>
						</div>
					</div>
					<!-- end: .ipeng-field -->
				</div>
				<!-- end: .ipeng-field-row -->

				<?php
				//Input Start
				?>
				<!-- start: .ipeng-field-row -->
				<div class="ipeng-field-row ipeng-field-x">
					<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
						<label for="input-youtube-start"><?php _e( 'Start time', IPENG_SLUG ); ?></label>
					</div>
					<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
						<div class="ipeng-input-group">
							<?php
							$start = $this->setting->getSetting( 'youtube_start' );
							?>
							<input type="text" id="input-youtube-start" class="ipeng-input ipeng-input-xs" name="youtube_start" value="<?php echo $start; ?>">
							<div class="ipeng-input-addon">second</div>
						</div>

						<div class="ipeng-help">
							<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
							<div class="ipeng-help-content ipeng-hide">
								<?php _e( 'Time in second for start time of your video. You set this value when you want to start the video not from the beginning.', IPENG_SLUG ); ?>
							</div>
						</div>
					</div>
				</div>
				<!-- end: .ipeng-field-row -->

				<?php
				/*
				 * Width
				 */
				?>
				<!-- start: .ipeng-field-row -->
				<div class="ipeng-field-row ipeng-field-x">
					<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
						<label for="input-video-width"><?php _e( 'Video Width', IPENG_SLUG ); ?></label>
					</div>

					<!-- start: .ipeng-field -->
					<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

						<?php
						$width = $this->setting->getSetting( 'video_width', 450 );
						?>
						<div class="ipeng-input-group mr5">
								<input type="text" id="input-video-width" class="ipeng-input ipeng-input-xs" name="video_width" value="<?php echo $width; ?>">
								<div class="ipeng-input-addon">px</div>
						</div>

						<div class="ipeng-help">
							<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
							<div class="ipeng-help-content ipeng-hide">
								<?php _e( 'Width ( in pixel ) of the video.', IPENG_SLUG ); ?>
							</div>
						</div>
					</div>
					<!-- end: .ipeng-field -->
				</div>
				<!-- end: .ipeng-field-row -->

				<?php
				/*
				 * Height
				 */
				?>
				<!-- start: .ipeng-field-row -->
				<div class="ipeng-field-row ipeng-field-x">
					<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
						<label for="input-video-height"><?php _e( 'Video Height', IPENG_SLUG ); ?></label>
					</div>

					<!-- start: .ipeng-field -->
					<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

						<?php
						$height = $this->setting->getSetting( 'video_height', 320 );
						?>
						<div class="ipeng-input-group mr5">
								<input type="text" id="input-video-height" class="ipeng-input ipeng-input-xs" name="video_height" value="<?php echo $height; ?>">
								<div class="ipeng-input-addon">px</div>
						</div>

						<div class="ipeng-help">
							<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
							<div class="ipeng-help-content ipeng-hide">
								<?php _e( 'Height ( in pixel ) of the video.', IPENG_SLUG ); ?>
							</div>
						</div>
					</div>
					<!-- end: .ipeng-field -->
				</div>
				<!-- end: .ipeng-field-row -->

				<?php
				//Input autoplay
				?>
				<!-- start: .ipeng-field-row -->
				<div class="ipeng-field-row ipeng-field-x">
					<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
						<label for="input-video-autoplay"><?php _e( 'Autoplay', IPENG_SLUG ); ?></label>
					</div>
					<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
						<div class="ipeng-onoff">
								<?php
								$val = $this->setting->getSetting( 'video_autoplay', 'false' );
								if ( $val == 'false' ) {
										$clon  = '';
										$cloff = ' active';
								} else {
										$clon  = ' active';
										$cloff = '';
								}
								?>
								<div class="ipeng-btn-group">
									<button data-value="true" class="ipeng-btn-onoff<?php echo $clon; ?> ipeng-btn-on" type="button"><?php _e( 'On', IPENG_SLUG ); ?></button>
									<button data-value="false" class="ipeng-btn-onoff<?php echo $cloff; ?> ipeng-btn-off" type="button"><?php _e( 'Off', IPENG_SLUG ); ?></button>
								</div>
								<input type="hidden" class="ipeng-onoff-value" name="video_autoplay" value="<?php echo $val; ?>" />
						</div>

						<div class="ipeng-help">
							<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
							<div class="ipeng-help-content ipeng-hide">
								<?php _e( 'Is the video automatically plays when the page is loaded?', IPENG_SLUG ); ?>
							</div>
						</div>
					</div>
				</div>
				<!-- end: .ipeng-field-row -->

      </div>
      <!-- end: .ipeng-fields-media-video -->

    </div>
    <!-- end: .ipeng-fields -->

  </div>
</div>
