<?php
/**
 * Admin content general view
 *
 * @package wp-engage-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipeng-section-general" class="ipeng-tab-content">
  <div class="ipeng-tab-inner">

    <div class="ipeng-title-content ipeng-hide">
      <i class="ipeng-fa ipeng-fa-cogs"></i>
      <div class="ipeng-title-text">
        <h3><?php _e( 'General', IPENG_SLUG ); ?></h3>
        <p><?php _e( 'Basic settings and info of your widget', IPENG_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipeng-fields -->
    <div class="ipeng-fields">

      <?php
      /*
       * Name
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x ipeng-help-abs">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-name"><?php _e( 'Widget Name', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $name = '';
          if ( $this->widget ) {
            $name = stripslashes( $this->widget->post_title );
          }
          ?>
          <input type="text" id="input-widget-name" class="ipeng-input ipeng-input-full ipeng-input-v-lg" name="widget_name" value="<?php echo $name; ?>">

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide"><?php _e( 'The name of the widget. This data will not be used directly in creating widget, only to mark the video, so it easier for you to manage it.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

      <?php
      /*
       * Status
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-status"><?php _e( 'Status', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipeng-onoff">
            <?php
            $val  = 'true';
            if ( $this->widget && $this->widget->post_status == 'draft' ) {
                $val = 'false';
            }
            if ( $val == 'false' ) {
                $clon  = '';
                $cloff = ' active';
            } else {
                $clon  = ' active';
                $cloff = '';
            }
            ?>
            <div class="ipeng-btn-group">
              <button data-value="true" class="ipeng-btn-onoff<?php echo $clon; ?> ipeng-btn-on" type="button"><?php _e( 'Show', IPENG_SLUG ); ?></button>
              <button data-value="false" class="ipeng-btn-onoff<?php echo $cloff; ?> ipeng-btn-off" type="button"><?php _e( 'Hide', IPENG_SLUG ); ?></button>
            </div>
            <input type="hidden" class="ipeng-onoff-value" name="status" value="<?php echo $val; ?>" />
          </div>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide">
              <?php _e( 'Determines the status of the widget, whether the widget will be viewable by the public or not.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

      <?php
      /*
       * Position
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-position"><?php _e( 'Position', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

          <select name="position" id="input-position">
            <?php
            $positions = array(
							'right'  => __( 'Right', IPENG_SLUG ),
              'left'   => __( 'Left', IPENG_SLUG )
            );
            $current = $this->setting->getSetting( 'position', 'top' );
            foreach( $positions as $key => $label )
            {
              $sltd = '';
              if ( $current == $key ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide">
              <?php _e( 'Set the position of the widget.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

      <?php
      /*
       * Restricted user
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-restricted"><?php _e( 'Restricted', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipeng-onoff">
              <?php
              $val = $this->setting->getSetting( 'restricted', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipeng-btn-group">
                <button data-value="true" class="ipeng-btn-onoff<?php echo $clon; ?> ipeng-btn-on" type="button"><?php _e( 'On', IPENG_SLUG ); ?></button>
                <button data-value="false" class="ipeng-btn-onoff<?php echo $cloff; ?> ipeng-btn-off" type="button"><?php _e( 'Off', IPENG_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipeng-onoff-value" name="restricted" value="<?php echo $val; ?>" />
          </div>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide">
              <?php _e( 'Deciding whether to tighten the widget where only logged-in user can view the page.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

      <?php
      /*
       * Test Mode
       */
      ?>
      <!-- start: .ipeng-field-row -->
      <div class="ipeng-field-row ipeng-field-x">
        <div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-test-mode"><?php _e( 'Test Mode', IPENG_SLUG ); ?></label>
        </div>

        <!-- start: .ipeng-field -->
        <div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipeng-onoff">
              <?php
              $val = $this->setting->getSetting( 'test_mode', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipeng-btn-group">
                <button data-value="true" class="ipeng-btn-onoff<?php echo $clon; ?> ipeng-btn-on" type="button"><?php _e( 'On', IPENG_SLUG ); ?></button>
                <button data-value="false" class="ipeng-btn-onoff<?php echo $cloff; ?> ipeng-btn-off" type="button"><?php _e( 'Off', IPENG_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipeng-onoff-value" name="test_mode" value="<?php echo $val; ?>" />
          </div>

          <div class="ipeng-help">
            <a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
            <div class="ipeng-help-content ipeng-hide">
              <?php _e( 'Set On if you are in a situation to testing this plugin. This will prevent the system to restrict users voting by IP so that it makes you perform testing.', IPENG_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipeng-field -->
      </div>
      <!-- end: .ipeng-field-row -->

    </div>
    <!-- end: .ipeng-fields -->

  </div>
</div>
