<?php
/**
 * Admin statistic view
 *
 * @package wp-video-attention
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>

<!-- start: .ipeng-tab-content -->
<div id="ipeng-section-statistic" class="ipeng-tab-content">
  <div class="ipeng-tab-inner">

    <div class="ipeng-title-content ipeng-hide">
      <i class="ipeng-fa ipeng-fa-bar-chart"></i>
      <div class="ipeng-title-text">
        <h3><?php _e( 'Statistic', IPENG_SLUG ); ?></h3>
        <p><?php _e( 'See the statistic data for your widget.', IPENG_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipeng-fields -->
    <div class="ipeng-fields">

    	<!-- start: .ipeng-stat-top -->
			<div class="ipeng-stat-top">
				<?php 
				/*
				<div class="ipeng-date-filter">
					<form action="" method="post">
						<input type="hidden" id="value-widgetid" name="widgetid" value="<?php echo $this->widget->ID; ?>" />

						<?php
						$dateStart = date('m/d/Y');
						$dateEnd   = date('m/d/Y');
						?>
						<strong> <?php _e( 'Filter By Date', IPENG_SLUG ); ?>: </strong>
						<span class="ipeng-date-input">
							<input type="text" id="ipeng-stat-date-start" name="datestart" value="<?php echo $dateStart; ?>" />
							-
							<input type="text" id="ipeng-stat-date-end" name="dateend" value="<?php echo $dateEnd; ?>" />
						</span>
						<span class="ipeng-do-filter">
							<input type="submit" id="ipeng-do-filter-date" class="button button-primary" name="do_filter_date" value="<?php _e( 'Go', IPENG_SLUG ); ?>" />
						</span>
					</form>
				</div>
				*/
				?>

				<div class="ipeng-stat-nav ipeng-stat-overview">

					<div class="container container-fluid">
						<ul class="row">
							<li class="col-sm-4 ipeng-nav-view ipeng-nav-blue active">
								<a href="#stat-display">
									<i class="ipeng-fa ipeng-fa-eye"></i>
									<span class="stat-value">
										<strong> <?php echo number_format( $this->statView ); ?></strong>
										<em> <?php _e( 'Views', IPENG_SLUG ); ?></em>
									</span>
								</a>
							</li>
							<li class="col-sm-4 ipeng-nav-subscribe ipeng-nav-green active">
								<a href="#stat-unique_display">
									<i class="ipeng-fa ipeng-fa-check-square-o"></i>
									<span class="stat-value">
										<strong> <?php echo number_format( $this->statVote ); ?></strong>
										<em> <?php _e( 'Votes', IPENG_SLUG ); ?></em>
									</span>
								</a>
							</li>
							<li class="col-sm-4 ipeng-nav-buy ipeng-nav-orange active">
								<a href="#stat-click">
									<i class="ipeng-fa ipeng-fa-share-alt"></i>
									<span class="stat-value">
										<strong> <?php echo number_format( $this->statShare ); ?></strong>
										<em> <?php _e( 'Shares', IPENG_SLUG ); ?></em>
									</span>
								</a>
							</li>
						</ul>
					</div>

				</div>

			</div>
			<!-- end: .ipeng-stat-top -->

			<!-- start: .ipeng-stat-main -->
			<div class="ipeng-stat-main">

				<?php
				if ( ! empty( $this->choices )) :
					foreach( $this->choices as $choice ) :
						$icon = '';
						if ( ! empty( $choice->choi_icon ))
						{
							$ic = $choice->choi_icon;
							$parts = explode( '-', $ic );
							$prefix = array_shift( $parts );
							if ( strlen( $prefix ) == 2 ){
								$icon = 'ipeng-'.$prefix.' ipeng-'.$ic;
							} else {
								$icon = 'ipeng-fa ipeng-fa-'.$ic;
							}
						}

						$count   = 0;
						$percent = 0;
						if ( ! empty( $choice->choi_count )) {
							$count   = (int)$choice->choi_count; 
							$percent = round( $count/$this->statVote * 100, 2 );
						}
				?>

					<!-- start: .ipeng-stat-item -->
					<div class="ipeng-stat-item">
						<div class="ipeng-stat-label">
							<span class="ipeng-stat-icon" style="background-color:<?php echo $choice->choi_color; ?>;">
								<i class="<?php echo $icon; ?>"></i>
							</span>
							<strong class="ipeng-stat-title">
								<?php echo $choice->choi_title; ?>
							</strong>
						</div>

						<div class="ipeng-stat-bar">
							<div class="ipeng-stat-bar-indicator" style="width:<?php echo $percent; ?>%;background-color:<?php echo $choice->choi_color; ?>;"></div>
							<div class="ipeng-stat-value"><?php echo $count; ?></div>
						</div>

					</div>
					<!-- end: .ipeng-stat-item -->

				<?php
					endforeach;
				endif;
				?>

			</div>
			<!-- end: .ipeng-stat-main -->

		</div>
		<!-- end: .ipeng-fields -->

	</div>
</div>
<!-- end: .ipeng-tab-content -->
