<?php
/**
 * Choice design options
 *
 * @package wp-engage-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>

<h4 class="ipeng-field-title mb0 py10">
	<?php _e( 'Choices Design', IPENG_SLUG ); ?>
</h4>

<?php
/*
 * Style
 */
?>
<!-- start: .ipeng-field-row -->
<div class="ipeng-field-row ipeng-field-x">
	<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
		<label for="input-choice-style"><?php _e( 'Style', IPENG_SLUG ); ?></label>
	</div>

	<!-- start: .ipeng-field -->
	<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
		<?php
		$style   = $this->setting->getSetting( 'choice_style' );
		$options = array(
				1 => __( 'Style #1', IPENG_SLUG ),
				2 => __( 'Style #2', IPENG_SLUG ),
				3 => __( 'Style #3', IPENG_SLUG ),
				4 => __( 'Style #4', IPENG_SLUG ),
				5 => __( 'Style #5', IPENG_SLUG )
		);
		?>
		<select name="choice_style" id="input-choice-style">
			<?php
			foreach( $options as $key => $label )
			{
					$sltd = '';
					if ( $key == $style ) {
							$sltd = ' selected="selected"';
					}
					echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
			}
			?>
		</select>

		<div class="ipeng-help">
			<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
			<div class="ipeng-help-content ipeng-hide">
				<?php _e( 'Set the style of the choice.', IPENG_SLUG ); ?>
			</div>
		</div>
	</div>
	<!-- end: .ipeng-field -->
</div>
<!-- end: .ipeng-field-row -->

<?php
/*
 * Text Color
 */
?>
<!-- start: .ipeng-field-row -->
<div class="ipeng-field-row ipeng-field-x">
	<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
		<label for="input-choice-text-color"><?php _e( 'Text Color', IPENG_SLUG ); ?></label>
	</div>

	<!-- start: .ipeng-field -->
	<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

		<?php
		$color = stripslashes( $this->setting->getSetting( 'choice_text_color', '#ffffff' ) );
		?>
		<input type="text" class="ipeng-color-picker" id="input-choice-text-color" name="choice_text_color" value="<?php echo $color; ?>" />

		<div class="ipeng-help">
			<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
			<div class="ipeng-help-content ipeng-hide">
				<?php _e( 'Set text color for the choice.', IPENG_SLUG ); ?>
			</div>
		</div>
	</div>
	<!-- end: .ipeng-field -->
</div>
<!-- end: .ipeng-field-row -->

<?php
//Font Family
?>
<div class="ipeng-field-row ipeng-field-x">
	<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
		<label for="input-choice-font-family"><?php _e( 'Font Family', IPENG_SLUG ); ?></label>
	</div>
	<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

		<?php
		$current = $this->setting->getSetting( 'choice_font_family', 'roboto' );
		$fonts   = IPEng_Font::getOptions();
		$fname   = IPEng_Font::getFontName( $current );
		?>
		<span class="ipeng-font-family">
			<div class="ipeng-menu ipeng-fancy-option">
				<div class="ipeng-selected">
					<div class="ipeng-selected-box">
						<span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
					</div>
					<span class="toggle"></span>
				</div>
				<div class="ipeng-select" style="display: none;">
					<div class="ipeng-select-content">
						<ul class="clearfix">
							<?php
							foreach( $fonts as $fkey => $label ) :
							?>
							<li data-select="<?php echo $fkey; ?>">
								<strong class="ipeng-select-label">
									<?php echo $label; ?>
								</strong>
							</li>
							<?php
							endforeach;
							?>
						</ul>
					</div>
				</div>
				<input type="hidden" name="font_family" class="ipeng-input-select" value="<?php echo $current; ?>" />
			</div>
		</span>

		<div class="ipeng-help">
			<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
			<div class="ipeng-help-content ipeng-hide">
				<?php _e( 'The font family of the text in your choice.', IPENG_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
