<?php
/**
 * Box close button options
 *
 * @package wp-engage-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>

<h4 class="ipeng-field-title mb0 py10">
	<?php _e( 'Close Button', IPENG_SLUG ); ?>
</h4>

<?php
/*
 * Close Button
 */
?>
<!-- start: .ipeng-field-row -->
<div class="ipeng-field-row ipeng-field-x">
	<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
		<label for="input-close-button"><?php _e( 'Show Close Button', IPENG_SLUG ); ?></label>
	</div>

	<!-- start: .ipeng-field -->
	<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
		<div class="ipeng-onoff">
				<?php
				$val = stripslashes( $this->setting->getSetting( 'close_button', 'true' ) );
				if ( $val == 'false' ) {
						$clon  = '';
						$cloff = ' active';
				} else {
						$clon  = ' active';
						$cloff = '';
				}
				?>
				<div class="ipeng-btn-group">
					<button data-value="true" class="ipeng-btn-onoff<?php echo $clon; ?> ipeng-btn-on" type="button"><?php _e( 'Show', IPENG_SLUG ); ?></button>
					<button data-value="false" class="ipeng-btn-onoff<?php echo $cloff; ?> ipeng-btn-off" type="button"><?php _e( 'Hide', IPENG_SLUG ); ?></button>
				</div>
				<input type="hidden" class="ipeng-onoff-value" name="close_button" value="<?php echo $val; ?>" />
		</div>

		<div class="ipeng-help">
			<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
			<div class="ipeng-help-content ipeng-hide">
				<?php _e( 'Determines whether displaying close button.', IPENG_SLUG ); ?>
			</div>
		</div>
	</div>
	<!-- end: .ipeng-field -->
</div>
<!-- end: .ipeng-field-row -->

<?php
/*
 * Background Color
 */
?>
<!-- start: .ipeng-field-row -->
<div class="ipeng-field-row ipeng-field-x">
	<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
		<label for="input-close-bgcolor"><?php _e( 'Background Color', IPENG_SLUG ); ?></label>
	</div>

	<!-- start: .ipeng-field -->
	<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

		<?php
		$color = stripslashes( $this->setting->getSetting( 'close_bgcolor', '#444444' ) );
		?>
		<input type="text" class="ipeng-color-picker" id="input-close-bgcolor" name="close_bgcolor" value="<?php echo $color; ?>" />

		<div class="ipeng-help">
			<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
			<div class="ipeng-help-content ipeng-hide">
				<?php _e( 'Add background color for the close button.', IPENG_SLUG ); ?>
			</div>
		</div>
	</div>
	<!-- end: .ipeng-field -->
</div>
<!-- end: .ipeng-field-row -->

<?php
/*
 * Border
 */
?>
<!-- start: .ipeng-field-row -->
<div class="ipeng-field-row ipeng-field-x">
	<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
		<label for="input-close-border-width"><?php _e( 'Border', IPENG_SLUG ); ?></label>
	</div>

	<!-- start: .ipeng-field -->
	<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

		<?php
		$color   = stripslashes( $this->setting->getSetting( 'close_border_color', '#111111' ) );
		$bowidth = $this->setting->getSetting( 'close_border_width', 0 );
		?>
		<div class="ipeng-input-group mr5">
			<input type="text" id="input-close-border-width" class="ipeng-input ipeng-input-xxs" name="close_border_width" value="<?php echo $bowidth; ?>">
			<div class="ipeng-input-addon">px</div>
		</div>
		<input type="text" class="ipeng-color-picker" id="input-close-border-color" name="close_border_color" value="<?php echo $color; ?>" />

		<div class="ipeng-help">
			<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
			<div class="ipeng-help-content ipeng-hide">
				<?php _e( 'Add border for the close button.', IPENG_SLUG ); ?>
			</div>
		</div>
	</div>
	<!-- end: .ipeng-field -->
</div>
<!-- end: .ipeng-field-row -->

<?php
/*
 * Text Color
 */
?>
<!-- start: .ipeng-field-row -->
<div class="ipeng-field-row ipeng-field-x">
	<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
		<label for="input-close-color"><?php _e( 'Color', IPENG_SLUG ); ?></label>
	</div>

	<!-- start: .ipeng-field -->
	<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

		<?php
		$color = stripslashes( $this->setting->getSetting( 'close_color', '#ffffff' ) );
		?>
		<input type="text" class="ipeng-color-picker" id="input-close-color" name="close_color" value="<?php echo $color; ?>" />

		<div class="ipeng-help">
			<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
			<div class="ipeng-help-content ipeng-hide">
				<?php _e( 'Set color for the close button.', IPENG_SLUG ); ?>
			</div>
		</div>
	</div>
	<!-- end: .ipeng-field -->
</div>
<!-- end: .ipeng-field-row -->
