<?php
/**
 * Box content design options
 *
 * @package wp-engage-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>

<h4 class="ipeng-field-title mb0 py10">
	<?php _e( 'Box Content Design', IPENG_SLUG ); ?>
</h4>

<?php
/*
 * Background Color
 */
?>
<!-- start: .ipeng-field-row -->
<div class="ipeng-field-row ipeng-field-x">
	<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
		<label for="input-content-background-color"><?php _e( 'Background Color', IPENG_SLUG ); ?></label>
	</div>

	<!-- start: .ipeng-field -->
	<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

		<?php
		$color = stripslashes( $this->setting->getSetting( 'content_background_color', '#666666' ) );
		?>
		<input type="text" class="ipeng-color-picker" id="input-content-background-color" name="content_background_color" value="<?php echo $color; ?>" />

		<div class="ipeng-help">
			<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
			<div class="ipeng-help-content ipeng-hide">
				<?php _e( 'Set background color for the box content.', IPENG_SLUG ); ?>
			</div>
		</div>
	</div>
	<!-- end: .ipeng-field -->
</div>
<!-- end: .ipeng-field-row -->

<?php
/*
 * Background Image
 */
?>
<!-- start: .ipeng-field-row -->
<div class="ipeng-field-row ipeng-field-x ipeng-help-abs">
	<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
		<label for="input-content-background-image"><?php _e( 'Background Image', IPENG_SLUG ); ?></label>
	</div>

	<!-- start: .ipeng-field -->
	<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

		<div class="ipeng-upload-image ipeng-clear">
				<div class="ipeng-upload-preview">
						<?php
							$setimg = false;
							if ( $attach_id = $this->setting->getSetting( 'content_background_image' ) ) {
									$setimg = true;
									$data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
							}
							if ( $setimg ) {
									echo '<div class="image"><img src="' . $data[0] . '" /></div>';
									echo '<div class="none ipeng-hide">' . __( 'No image', IPENG_SLUG ) . '</div>';
									$reset_dsp = '';
							} else {
									echo '<div class="image"></div>';
									echo '<div class="none">' . __( 'No image', IPENG_SLUG ) . '</div>';
									$reset_dsp = ' style="display:none;"';
							}
						?>
				</div>

				<div class="ipeng-image-field">
						<div class="ipeng-select-image">
							<p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', IPENG_SLUG ); ?></p>
							<a class="ipeng-btn ipeng-btn-secondary ipeng-btn-media ipeng-btn-sm" data-choose="<?php esc_attr_e( 'Choose Image', IPENG_SLUG ); ?>"
								data-update="<?php esc_attr_e( 'Choose image', IPENG_SLUG ); ?>">
									<i class="ipeng-fa ipeng-fa-image"></i>
									<?php _e( 'Select Image', IPENG_SLUG ); ?>
							</a>
							<a class="ipeng-btn ipeng-btn-reset ipeng-btn-sm" href="#"<?php echo $reset_dsp; ?>>
									<i class="ipeng-fa ipeng-fa-ban"></i>
									<?php _e( 'Clear Image', IPENG_SLUG ); ?>
							</a>
						</div>
						<input type="hidden" name="upload_type" class="ipeng-upload-type" value="content_background_image" />
						<input type="hidden" name="content_background_image" class="ipeng-image-id" value="<?php echo $attach_id; ?>" />
				</div>
		</div>

		<div class="ipeng-help">
			<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
			<div class="ipeng-help-content ipeng-hide">
				<?php _e( 'The background image in the box content.', IPENG_SLUG ); ?>
			</div>
		</div>
	</div>
	<!-- end: .ipeng-field -->
</div>
<!-- end: .ipeng-field-row -->

<?php
/*
 * Background repeat
 */
?>
<!-- start: .ipeng-field-row -->
<div class="ipeng-field-row ipeng-field-x ipeng-help-abs">
	<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
		<label for="input-content-background-repeat"><?php _e( 'Background Repeat', IPENG_SLUG ); ?></label>
	</div>

	<!-- start: .ipeng-field -->
	<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
		<?php
		$style   = $this->setting->getSetting( 'content_background_repeat' );
		$options = array(
				'no-repeat'   => __( 'No Repeat', IPENG_SLUG ),
				'repeat-x'    => __( 'Repeat Horizontally', IPENG_SLUG ),
				'repeat-y'    => __( 'Repeat Vertically', IPENG_SLUG ),
				'repeat'      => __( 'Repeat All', IPENG_SLUG ),
		);
		?>
		<select name="content_background_repeat" id="input-content-background-repeat">
			<?php
			foreach( $options as $key => $label )
			{
					$sltd = '';
					if ( $key == $style ) {
							$sltd = ' selected="selected"';
					}
					echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
			}
			?>
		</select>

		<div class="ipeng-help">
			<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
			<div class="ipeng-help-content ipeng-hide">
				<?php _e( 'The alignment background in box content.', IPENG_SLUG ); ?>
			</div>
		</div>
	</div>
	<!-- end: .ipeng-field -->
</div>
<!-- end: .ipeng-field-row -->

<?php
/*
 * Background opacity
 */
?>
<!-- start: .ipeng-field-row -->
<div class="ipeng-field-row ipeng-field-x ipeng-help-abs">
	<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
		<label for="input-content-background-opacity"><?php _e( 'Background Opacity', IPENG_SLUG ); ?></label>
	</div>

	<!-- start: .ipeng-field -->
	<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">
		<?php
		$opacity = $this->setting->getSetting( 'content_background_opacity' );
		$options = array(
				0    => __( 'None', IPENG_SLUG ),
				10   => __( '10%', IPENG_SLUG ),
				20   => __( '20%', IPENG_SLUG ),
				30   => __( '30%', IPENG_SLUG ),
				40   => __( '40%', IPENG_SLUG ),
				50   => __( '50%', IPENG_SLUG ),
				60   => __( '60%', IPENG_SLUG ),
				70   => __( '70%', IPENG_SLUG ),
				80   => __( '80%', IPENG_SLUG ),
				90   => __( '90%', IPENG_SLUG ),
		);
		?>
		<select name="content_background_opacity" id="input-content-background-opacity">
			<?php
			foreach( $options as $key => $label )
			{
					$sltd = '';
					if ( $key == $opacity ) {
							$sltd = ' selected="selected"';
					}
					echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
			}
			?>
		</select>

		<div class="ipeng-help">
			<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
			<div class="ipeng-help-content ipeng-hide">
				<?php _e( 'Make transparency for the background image.', IPENG_SLUG ); ?>
			</div>
		</div>
	</div>
	<!-- end: .ipeng-field -->
</div>
<!-- end: .ipeng-field-row -->

<?php
/*
 * Border
 */
?>
<!-- start: .ipeng-field-row -->
<div class="ipeng-field-row ipeng-field-x">
	<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
		<label for="input-content-border-width"><?php _e( 'Border', IPENG_SLUG ); ?></label>
	</div>

	<!-- start: .ipeng-field -->
	<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

		<?php
		$color   = stripslashes( $this->setting->getSetting( 'content_border_color', '#111111' ) );
		$bowidth = $this->setting->getSetting( 'content_border_width', 0 );
		?>
		<div class="ipeng-input-group mr5">
			<input type="text" id="input-content-border-width" class="ipeng-input ipeng-input-xxs" name="content_border_width" value="<?php echo $bowidth; ?>">
			<div class="ipeng-input-addon">px</div>
		</div>
		<input type="text" class="ipeng-color-picker" id="input-content-border-color" name="content_border_color" value="<?php echo $color; ?>" />

		<div class="ipeng-help">
			<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
			<div class="ipeng-help-content ipeng-hide">
				<?php _e( 'Add border for the box content.', IPENG_SLUG ); ?>
			</div>
		</div>
	</div>
	<!-- end: .ipeng-field -->
</div>
<!-- end: .ipeng-field-row -->

<?php
//Border radius
?>
<!-- start: .ipeng-field-row -->
<div class="ipeng-field-row ipeng-field-x">
	<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
			<label for="input-content-border-radius"><?php _e( 'Border Radius', IPENG_SLUG ); ?></label>
	</div>
	<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

			<select name="content_border_radius" id="input-content-border-radius">
			<?php
			$current = stripslashes( $this->setting->getSetting( 'content_border_radius', 'none' ));
			$styles  = array(
					'none' => __( 'None', IPENG_SLUG ),
					'xs'   => __( 'Extra Small', IPENG_SLUG ),
					'sm'   => __( 'Small', IPENG_SLUG ),
					'md'   => __( 'Medium', IPENG_SLUG ),
					'lg'   => __( 'Large', IPENG_SLUG )
			);
			foreach( $styles as $key => $label ) {
					$sltd = '';
					if ( $key == $current ) {
							$sltd = ' selected="selected"';
					}
					echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
			}
			?>
			</select>

			<div class="ipeng-help">
				<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
					<div class="ipeng-help-content ipeng-hide">
					<?php _e( 'Add radius in the box content.', IPENG_SLUG ); ?>
				</div>
		</div>
	</div>
</div>
<!-- end: .ipeng-field-row -->

<?php
/*
 * Text Color
 */
?>
<!-- start: .ipeng-field-row -->
<div class="ipeng-field-row ipeng-field-x">
	<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
		<label for="input-content-text-color"><?php _e( 'Text Color', IPENG_SLUG ); ?></label>
	</div>

	<!-- start: .ipeng-field -->
	<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

		<?php
		$color = stripslashes( $this->setting->getSetting( 'content_text_color', '#ffffff' ) );
		?>
		<input type="text" class="ipeng-color-picker" id="input-content-text-color" name="content_text_color" value="<?php echo $color; ?>" />

		<div class="ipeng-help">
			<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
			<div class="ipeng-help-content ipeng-hide">
				<?php _e( 'Set text color for the box content.', IPENG_SLUG ); ?>
			</div>
		</div>
	</div>
	<!-- end: .ipeng-field -->
</div>
<!-- end: .ipeng-field-row -->

<?php
//Font Family
?>
<div class="ipeng-field-row ipeng-field-x">
	<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
		<label for="input-content-font-family"><?php _e( 'Font Family', IPENG_SLUG ); ?></label>
	</div>
	<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

		<?php
		$current = $this->setting->getSetting( 'content_font_family', 'roboto' );
		$fonts   = IPEng_Font::getOptions();
		$fname   = IPEng_Font::getFontName( $current );
		?>
		<span class="ipeng-font-family">
			<div class="ipeng-menu ipeng-fancy-option">
				<div class="ipeng-selected">
					<div class="ipeng-selected-box">
						<span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
					</div>
					<span class="toggle"></span>
				</div>
				<div class="ipeng-select" style="display: none;">
					<div class="ipeng-select-content">
						<ul class="clearfix">
							<?php
							foreach( $fonts as $fkey => $label ) :
							?>
							<li data-select="<?php echo $fkey; ?>">
								<strong class="ipeng-select-label">
									<?php echo $label; ?>
								</strong>
							</li>
							<?php
							endforeach;
							?>
						</ul>
					</div>
				</div>
				<input type="hidden" name="content_font_family" class="ipeng-input-select" value="<?php echo $current; ?>" />
			</div>
		</span>

		<div class="ipeng-help">
			<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
			<div class="ipeng-help-content ipeng-hide">
				<?php _e( 'The font family of the text in your box content.', IPENG_SLUG ); ?>
			</div>
		</div>
	</div>
</div>

<?php
/*
 * Padding
 */
?>
<!-- start: .ipeng-field-row -->
<div class="ipeng-field-row ipeng-field-x">
	<div class="ipeng-form-label col-lg-3 col-md-4 col-sm-12">
		<label for="input-content-padding"><?php _e( 'Padding', IPENG_SLUG ); ?></label>
	</div>

	<!-- start: .ipeng-field -->
	<div class="ipeng-field col-lg-9 col-md-8 col-sm-12">

		<?php
		$padding = absint( $this->setting->getSetting( 'content_padding', '15' ) );
		?>
		<div class="ipeng-input-group mr5">
			<input type="text" id="input-content-padding" class="ipeng-input ipeng-input-xxs" name="content_padding" value="<?php echo $padding; ?>">
			<div class="ipeng-input-addon">px</div>
		</div>

		<div class="ipeng-help">
			<a class="ipeng-btn-help ipeng-btn ipeng-btn-default" href="#"><i class="ipeng-fa ipeng-fa-question"></i></a>
			<div class="ipeng-help-content ipeng-hide">
				<?php _e( 'Set padding for the box content.', IPENG_SLUG ); ?>
			</div>
		</div>
	</div>
	<!-- end: .ipeng-field -->
</div>
<!-- end: .ipeng-field-row -->
