<?php
/**
 * Manage widget view
 *
 * @package wp-engage-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipeng-manage-widget" class="wrap ipeng-wrap ipeng-admin">
  <div class="ipeng-inner">
    <?php
    if ( $this->widget ) {
        $this->title = $this->widget->post_title;
        $this->info  = '<i class="ipeng-fa ipeng-fa-calendar"></i> Created: ' .
            '<strong>' . mysql2date( 'd F Y, h:i', $this->widget->post_date ) . '</strong>';

        $this->view( 'admin/general/header' );
    } else {
        $this->title = __( 'Add Widget', IPENG_SLUG );
        $this->info  = 'Add new widget for your promotion page';
        $this->view( 'admin/general/header' );
    }
    $form_action = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipeng=1&action=update_widget';
    ?>
    <div class="ipeng-main">
      <div class="ipeng-main-info"></div>

      <div class="ipeng-primary">
        <div class="ipeng-manage-wrap ipeng-manage-sidebar">
          <form id="<?php echo $this->formId; ?>" class="ipeng-form-container ipeng-form" method="post" action="<?php echo $form_action; ?>" enctype="multipart/form-data">
            <input type="hidden" name="widget_id" id="ipeng-value-widgetid" value="<?php echo $this->widgetId; ?>" />

            <div class="container-fluid container">

              <div class="ipeng-clear ipeng-tab">
                <?php
                $this->view( 'admin/widget/nav' );
                ?>

                <div class="ipeng-manage-content">
                  <div class="ipeng-manage-info">
                    <div class="row">
                      <div class="col-md-8">
                        <div class="ipeng-tab-title">
                          <i class="ipeng-fa ipeng-fa-cogs"></i>
                          <div class="ipeng-title-text">
                            <h3> <?php _e( 'General', IPENG_SLUG ); ?></h3>
                            <p> <?php _e( 'Basic settings and info of your widget', IPENG_SLUG ); ?></p>
                          </div>
                        </div>
                      </div>
                      <div class="col-md-4">
                        <div class="ipeng-top-submit">
                          <button type="submit" class="ipeng-form-submit ipeng-btn ipeng-btn-secondary ipeng-btn-lg <?php echo $this->submitId; ?>" id="do-update-top" name="update_top">
                            <i class="ipeng-fa ipeng-fa-<?php echo $this->submitIcon; ?>"></i>
                            <strong> <?php echo $this->submitLabel; ?></strong>
                          </button>
                          <?php
                          if ( $this->widget ) {
                            echo '<p class="ipeng-update-info">' .
                              __( 'Last Update', IPENG_SLUG ) .
                              ': <strong>' . mysql2date( 'd F Y, h:i:s', $this->widget->post_date ) . '</strong>' .
                            '</p>';
                          }
                          ?>
                        </div>
                      </div>
                    </div>
                  </div>

                  <?php
                  $this->view( 'admin/widget/content' );
                  ?>

                  <div class="ipeng-manage-footer">
                    <div class="row">
                      <div class="col-md-6">
                        <div class="ipeng-bottom-submit">
                          <button type="submit" class="ipeng-form-submit ipeng-btn ipeng-btn-secondary ipeng-btn-lg <?php echo $this->submitId; ?>" id="do-update-bottom" name="update_bottom">
                            <i class="ipeng-fa ipeng-fa-<?php echo $this->submitIcon; ?>"></i>
                            <strong><?php echo $this->submitLabel; ?></strong>
                          </button>
                        </div>
                      </div>
                      <div class="col-md-6">
                        <div class="ipeng-bottom-action text-right">
                          <?php
                          if ( $this->widget ) :
                          ?>
                          <a href="#" class="ipeng-btn ipeng-btn-danger ipeng-btn-lg ipeng-item-delete ipeng-delete-edit" data-id="<?php echo $this->widget->ID; ?>">
                              <i class="ipeng-fa ipeng-fa-trash"></i>
                              <?php _e( 'Delete', IPENG_SLUG ); ?>
                          </a>
                          <?php
                          endif;
                          ?>
                        </div>
                      </div>
                    </div>

                  </div>
                </div>
              </div>

            </div>

          </form>
        </div>
      </div>
    </div>
  </div>
</div>
