<?php
/**
 * Choices
 *
 * @package wp-engage-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( empty( $this->choices )) {
	return;
}

$st    = $this->setting;
$color = $st->getSetting( 'choice_text_color', '#333333' );
$style = $st->getSetting( 'choice_style', 1 );

//Font
$font_opt = $st->getSetting( 'choice_font_family', 'roboto' );
$family   = IPEng_Font::getFamily( $font_opt );

$mainClass  = 'ipeng-choices';
$mainClass .= ' ipeng-choices-style-' . $style;

$dsp = ' style="display:none;"';
if ( ! $this->isVoted ) {
	$dsp = '';
}
?>

<style>
<?php
//.ipeng-choices
?>
.ipeng-widget-<?php echo $this->widget->ID; ?> .ipeng-choices {
  color: <?php echo $color; ?>;
  font-family: <?php echo $family; ?>;
}
</style>

<div class="<?php echo $mainClass; ?>"<?php echo $dsp; ?>>
	<div class="ipeng-choice-inner">

    <?php
    $info = $st->getSetting( 'widget_info' );
    if ( $info ) :
    ?>
    <div class="ipeng-widget-main-info">
      <?php echo $info; ?>
    </div>
    <?php
    endif;
    ?>

		<div class="ipeng-question">
			<p><?php echo $st->getSetting( 'question' ); ?></p>
		</div>
		<ol>
			<?php
			foreach( $this->choices as $choice ) :
				//Icon
				$icon = '';
				if ( ! empty( $choice->choi_icon ))
				{
					$ic = $choice->choi_icon;
					$parts = explode( '-', $ic );
					$prefix = array_shift( $parts );
					if ( strlen( $prefix ) == 2 ){
						$icon = 'ipeng-'.$prefix.' ipeng-'.$ic;
					} else {
						$icon = 'ipeng-fa ipeng-fa-'.$ic;
					}
				}
				//Color 
				$color    = $choice->choi_color;
				$phpcolor = new phpColor( $color );
				$codark   = $phpcolor->darken(15);
				$codarksm = $phpcolor->darken(8);
			?>
				<style>
				<?php
				if ( $style == 1 || $style == 2 ) :
				?>
				#ipeng-choice-<?php echo $choice->choi_id; ?> .ipeng-choice-icon {
					color: <?php echo $color; ?>;
				}
				<?php
				endif;

				if ( $style == 2 ) :
				?>
				#ipeng-choice-<?php echo $choice->choi_id; ?> .ipeng-choice-button:after {
					background-color: <?php echo $color; ?>;
				}
				<?php
				endif;

				if ( $style == 3 ) :
				?>
				#ipeng-choice-<?php echo $choice->choi_id; ?> .ipeng-choice-icon {
					background-color: <?php echo $color; ?>;
				}
				<?php
				endif;

				if ( $style == 4 ) :
				?>
				#ipeng-choice-<?php echo $choice->choi_id; ?> .ipeng-choice-icon {
					background-color: <?php echo $color; ?>;
					border-color: #<?php echo $codark; ?>;
				}
				<?php
				endif;

				if ( $style == 5 ) :
				?>
				#ipeng-choice-<?php echo $choice->choi_id; ?> .ipeng-choice-button {
					background-color: <?php echo $color; ?>;
					border-color: #<?php echo $codark; ?>;
				}
				#ipeng-choice-<?php echo $choice->choi_id; ?> .ipeng-choice-button:hover {
					background-color: #<?php echo $codarksm; ?>;
				}
				<?php
				endif;
				?>
				</style>
				<li class="ipeng-choice-item" id="ipeng-choice-<?php echo $choice->choi_id; ?>">
					<div class="ipeng-choice-item-inner">
						
						<a href="" data-id="<?php echo $choice->choi_id; ?>" class="ipeng-choice-button ipeng-clear">
							<span class="ipeng-choice-icon">
								<i class="<?php echo $icon; ?>"></i>
							</span>
							<strong class="ipeng-choice-title">
								<?php echo $choice->choi_title; ?>
							</strong>
						</a>

					</div>
				</li>
			<?php
			endforeach;
			?>
		</ol>
	</div>
	<?php
  $this->view( 'front/widget/media' );
  ?>
</div>